#ifndef __LORA_H
#define __LORA_H

typedef struct {
	char cnts;
	int interval;
	
} _sLoRa_send;

enum { DL_NOMAL, DL_WAIT, DL_ERROR };
enum { LORA_POZ_MODE, 
		LORA_POZ_MASTER_FREQ_SET, 
		LORA_POZ_RX_SET,
		LORA_POZ_WAIT,		
		LORA_POZ_SUB_FREQ_SET, 
		LORA_POZ_MASTER_DATA_SEND,
		LORA_POZ_SUB_DATA_SEND,	
};
enum { LORA_FREQ_919300000, 
		LORA_FREQ_919500000, 
		LORA_FREQ_919700000,
		LORA_FREQ_919900000,
		LORA_FREQ_920100000, 
		LORA_FREQ_920300000,
		LORA_FREQ_920500000,
		LORA_FREQ_920700000, 
};

enum { LORA_GRUP_TEST, 

};

extern char lora_com_poz;

void lora_init(void);
void send_lora(unsigned char *_pData, int _size);
void version_send(void);
void lora_poz_send(void);
void lora_version_send(void);
void lora_data_send(unsigned char *_pData, int _size);
void lora_rx_set(char _sel);
void lora_req(void);

#endif /* __LORA_H */