#ifndef __MAIN_H
#define __MAIN_H

#include <stdint.h>
#include <stdbool.h>
#include <stdint.h>
#include "hw_ioc.h"
#include "hw_ints.h"
#include "interrupt.h"
#include "sleepmode.h"
#include "gpio.h"
#include "ioc.h"
#include "uart.h"
#include "sys_ctrl.h"
#include "hw_memmap.h"
#include "hw_init.h"
#include "hw_i2cm.h"
#include "hw_i2cs.h"
#include "i2c.h"
#include "hal_i2c.h"
#include "adc.h"
#include "flash_cc2538.h"
#include "sn_detection.h"
#include "hal_LoRa_com.h" 
#include "sn_sampling.h" 
#include "tmac_typedefs.h"  


#define WORD unsigned int
#define BYTE unsigned char

#define WAKE_UP_1MS
//#define WAKE_UP_10MS
//#define WAKE_UP_20MS
//#define WAKE_UP_40MS
//#define WAKE_UP_50MS
#if defined(WAKE_UP_1MS)
	#define WAKE_UP_TIME 1870 
#elif defined(WAKE_UP_10MS)
	#define WAKE_UP_TIME 18700
#elif defined(WAKE_UP_20MS)
	#define WAKE_UP_TIME 18700*2
#elif defined(WAKE_UP_20MS)
	#define WAKE_UP_TIME 18700*4
#endif

typedef struct{
		int count;
		int flag;
}_sTime;
extern _sTime  st_Time_1ms;
extern _sTime  st_Time_5ms;
extern _sTime  st_Time_10ms;
extern _sTime  st_Time_20ms;
extern _sTime  st_Time_50ms;
extern _sTime  st_Time_100ms;
extern _sTime  st_Time_200ms;
extern _sTime  st_Time_300ms;
extern _sTime  st_Time_500ms;
extern _sTime  st_Time_1s;
extern _sTime  lora_com;;
extern int timer_anlay;
extern int fram_number;
extern _sTime stopcock_serch[4];

#define RUN_LED_PC0_ON1() GPIOPinWrite(GPIO_B_BASE, GPIO_PIN_2, GPIO_PIN_2);
#define RUN_LED_PC0_OFF1() GPIOPinWrite(GPIO_B_BASE, GPIO_PIN_2, 0);

#define RUN_LED_PC0_ON() GPIOPinWrite(GPIO_C_BASE, RUN_LED_PC0, RUN_LED_PC0);
#define RUN_LED_PC0_OFF() GPIOPinWrite(GPIO_C_BASE, RUN_LED_PC0, 0);
#define RUN_LED_PC0_Toggle() {uint32_t ui32Toggle = GPIOPinRead(GPIO_C_BASE, RUN_LED_PC0);ui32Toggle = (~ui32Toggle) & RUN_LED_PC0;GPIOPinWrite(GPIO_C_BASE, RUN_LED_PC0, ui32Toggle);}

#endif /* __MAIN_H */