#include <math.h>
#include <stdio.h>
#include <string.h>
#include "sn_detection.h"
#include "packet_type.h"
#include "uart_comm.h"


// variables ---------------------------------------------------

uint16 det_oper_status  = DET_OPER_IDLE;
uint16 det_status       = DET_IDLE;
uint16 det_seqno        = 0;

//jhsong add
uint8 bluetooth_live_flag        = 0;
uint16 bluetooth_live_count        = 0;
//end 

// some limitations
uint16 det_onth;
uint16 det_offth;

uint16 det_onwait;
uint16 det_offwait;
uint16 det_cnt_onwait;
uint16 det_cnt_offwait;

// for checking baseline update
uint16 det_blup_enabled;
uint32 det_blup;
uint32 det_cnt_blup;

// for checking longon event
uint32 det_longon;
uint32 det_cnt_longon;

// for checking sensor saturation
uint16 det_cnt_sreset;
uint16 det_cnt_onreset;

// 2015.11.09 _yj.kwon
uint16 gLongOnMagCnt;
uint8 gLongOnRetryCnt;
uint8 gLongOnMagStableCnt;

// 2016.02.22 _yj.kwon
uint8 gEventLongOn;

// 2016.03.20 _yj.kwon
uint8 gLongOnDet2PreidleCnt;

//jhsong 2017.02.21 add
uint16 sig3_tmp[MAX_SIG][3];
uint8 det3_first_start[MAX_SIG];
uint16 sens3_blz[MAX_SIG];
uint16 det3_cnt_blup[MAX_SIG];
uint16 det3_cnt_longon[MAX_SIG];

uint16 det3_status[MAX_SIG];
uint16 p_det3_status[MAX_SIG];
uint16 det3_blup_enabled[MAX_SIG];

uint16 det3_cnt_onwait[MAX_SIG];
uint16 det3_cnt_offwait[MAX_SIG];
uint16 det3_count1[MAX_SIG];
uint16 det3_on_send_st[MAX_SIG];
uint16 det3_off_send_st[MAX_SIG];
uint8 det3_on_flag = 0;

uint8 send_serch_flag = 0;
uint8 off_supply_flag = 0;

uint8  dl_car_state = 0; //1:  ذ 
_sTime  st_com_flag;
_sTime  st_det_side_on;

//##### ˰ B   ذ 
uint16  sens_blz_b[MAX_SIG];
uint32 aver_total_sum[MAX_SIG]; 

uint32 aver_total_idle_sum[MAX_SIG]; 
uint8 algoA_aver_idle_count[MAX_SIG];
uint16 sig3_idle_tmp[MAX_SIG];

int resen_sig_tmp[MAX_SIG];

unsigned int mlevel_stopcock[4];

#define MAX_SIG_AVER 10
unsigned char algoA_aver_count[MAX_SIG];
unsigned char algoA_aver_count1[MAX_SIG];
_sTime stopcock_serch[MAX_SIG];
unsigned int stopcock_wait_time[MAX_SIG];
unsigned int  resen_stopcock[MAX_SIG];
unsigned char  stopcock_dir[MAX_SIG];
unsigned int  stopcock_top[MAX_SIG];
#define DET_SERCH_ADD 0
#define DET_SERCH_MINUS 1
unsigned int det_status_stopcock[MAX_SIG];
int blz_stopcock[MAX_SIG];   //
int sens_blz_stopcock[MAX_SIG];  //  ذ
int car_in_blz_stopcock[MAX_SIG];  //  
int blz_stopcock_tmp[MAX_SIG];
unsigned char car_in_stopcock[MAX_SIG];  //   
unsigned char car_in_flag[MAX_SIG];
unsigned char car_in__force_flag[MAX_SIG]; //ڼ϶   
int car_in_out_vector[MAX_SIG][4]; //Խÿ    
int car_in_out_vector_re[MAX_SIG][6]; //Խÿ    
unsigned int det_cnt_blup_stopcock[MAX_SIG];
unsigned int det_cnt_blup_init[MAX_SIG];
unsigned int blz_add_tmp[MAX_SIG];
unsigned int blz_add_tmp1[MAX_SIG];
int car_in_blz_stopcock1[MAX_SIG];  //  

int car_out_bl_off_count1 = 0;
int car_out_bl_off_count = 0;
char car_out_bl_off_flag = 0;
unsigned int car_out_blz[MAX_SIG];
int off_force_on_flag = 0;

unsigned char tmp_bl_count[MAX_SIG];

//˰ ﰢ
#define PI (3.141592)
#define TRIANGLE_DET_OFF 1
#define TRIANGLE_DET_INIT 2
uint16 algo_triangle[MAX_SIG][2][3];
uint16 algo_bl_triangle[MAX_SIG];
uint8 algo_triangle_poz = 0;
uint8 algo_triangle_flag = 0;
unsigned int det_cnt_blup_triangle[MAX_SIG];
unsigned int det_status_triangle[MAX_SIG];
int triangle_diagonal[MAX_SIG][3];
int triangle_sin[MAX_SIG][3];
int triangle_cos[MAX_SIG][3];
int triangle_area[MAX_SIG][3];

// ˰ 
int diff_value_b[MAX_SIG];
int pattern_value[3][2];
unsigned char pattern_sort = CAR_NOMAL;
unsigned char pattern_start = 0;
unsigned char pattern_sub_flag = GO_ING;
unsigned char pattern_4sub_flag = 0;
unsigned char pattern_compare_value = 30;
_sTime pattern_poz[2];

int pattern_diagonal[10];
unsigned char pattern_force_serch_count[4];
unsigned char pattern_force_serch;  //4 

#define SENS_CAR_IN     0
#define SENS_CAR_OUT 1  
#define SENS_CAR_TRANS 2 
#define SENS_CAR_IN_SEARCH 3 

#define DET_STOP_TIME 2500/WAKE_UP_TIME   //400

unsigned char on_flag_check[MAX_SIG];  //   

uint8 det_side_send_flag = 0;
uint8 force_det_off_sel = 0;

unsigned char send_onoff_count = 0;
unsigned int car_in_tmp[MAX_SIG][4];
unsigned int car_in_wait_time[MAX_SIG];    //Խ Դٰ ٽ ٰ ٽ   2s ̻ Z Y OFFTH ϶ ٽý
unsigned char car_in_check_time = 0;

uint8 car_in_speed_time[MAX_SIG];
uint16 car_in_speed_sig[MAX_SIG];

uint8 first_idle_flag = 0;
//void algollzthm_B(unsigned char _sel, unsigned int _sig);
//void  mbufs_setnbl_b(unsigned char _sel, unsigned int _sig);
//#########################

void algollzthm(unsigned char _sel, unsigned int _sig);
void mbufs3_setnbl(unsigned char _sel);
void mbufs3_update(unsigned char _sel, unsigned int sig, unsigned char status);
void reset_det_bl(void);
void algollzthm_Stopcock(unsigned char _sel, int _sig);
void car_det_init(void);
void car_out_bl_off(unsigned char _sel, unsigned int _sig);
void detect_side_off(uint8 _sel);
void car_serch_init(void);
void detect_send_event(uint8 _sel);
void park_send_event(uint8 _sel);
char algo_triangle_serch(unsigned char _sel, int _sig);
void triangle_init(void);
uint8 triangle_analsys(uint8 _sel, uint8 _sel1);
void triangle_div(uint8 _sel);
void triangle_serch_result(void);
void tmp_bl_go(unsigned char _sel);

void pattern_analy(void);
void  renew_pattern_diagonal(void);
void pattern_init(void);
void pattern_serch(void);
//end

unsigned int util_get_offset_1(unsigned int _s1, unsigned int _s2)
{
  	unsigned int tmp_result;
	if(_s1>=_s2)
	  tmp_result = _s1-_s2;
	else
	  tmp_result = _s2-_s1;
	return tmp_result;
}

// detect_init -------------------------------------------------
void detect_init(void)
{
    // status and counters
    det_status       = DET_IDLE;
    
    det_onth         = config.det_onth;
    det_offth        = config.det_offth;
                
    det_onwait       = config.det_onwait;
    det_offwait      = config.det_offwait;
    
    det_cnt_onwait   = 0;
    det_cnt_offwait  = 0;
    
  
    // for baseline update
    det_blup_enabled = TRUE;
    det_blup         = (((uint32)(config.det_blup)) * 10);  //⺻ 100ms
    det_cnt_blup     = det_blup;

    det_longon       = (((uint32)(config.det_longon)) << 10);
    det_cnt_longon   = det_longon;
    
    // for sensor saturation check
    det_cnt_sreset   = 0;
    
    gEventLongOn = FALSE;       // 2016.03.01 _yj.kwon
   
    gLongOnDet2PreidleCnt = 0;  // 2016.03.20 _yj.kwon
    // members should not be initalized
    //   : det_cnt_onreset
    
    //jhsong add 2017.02.21    
    //flash load
    //fn_eeprom_init();
    fn_eeprom_init();
    memcpy(sens3_blz, &config.sens3_bl[0], sizeof(sens3_blz));
	memcpy(blz_stopcock, &config.blz_stopcock, sizeof(blz_stopcock));
	memcpy(blz_stopcock_tmp, &config.blz_stopcock_tmp, sizeof(blz_stopcock_tmp));
	memcpy(car_in_blz_stopcock, &config.car_in_blz_stopcock, sizeof(car_in_blz_stopcock));
    dl_car_state = config.bl_serch;
//UARTprintf("\r\n>>S: (%u)(%u)(%u)\r\n", sens3_blz[2], config.sens3_bl[2], dl_car_state);
    memset(det3_first_start, 0, sizeof(det3_first_start));
    memset(det3_on_send_st, 0, sizeof(det3_on_send_st));
    memset(det3_status, 0, sizeof(det3_status));
	memset(on_flag_check, 0, sizeof(on_flag_check));
	
//	memset(blz_stopcock_tmp, 0, sizeof(blz_stopcock_tmp));
	memset(car_in_flag, 0, sizeof(car_in_flag));
	memset(car_in__force_flag, 0, sizeof(car_in__force_flag));
	
    st_com_flag.flag = 0;
	st_com_flag.count = 60000/WAKE_UP_TIME;
	st_det_side_on.count = 0;
	st_det_side_on.flag = 0;
	
     memset(algoA_aver_count, 0, sizeof(algoA_aver_count));	
	 memset(algoA_aver_count1, 0, sizeof(algoA_aver_count1));	

	memset(car_in_out_vector, 0, sizeof(car_in_out_vector));
	memset(aver_total_sum, 0, sizeof(aver_total_sum));
	memset(stopcock_serch, 0, sizeof(stopcock_serch));
	
	detect_send_onoff(0x40, 0x00);  //ʱȭ 
	memset(algo_triangle, 0, sizeof(algo_triangle));
	
	memset(aver_total_idle_sum, 0, sizeof(aver_total_idle_sum)); 
	memset(algoA_aver_idle_count, 0, sizeof(algoA_aver_idle_count)); 
	memset(car_out_blz, 0, sizeof(car_out_blz));
	memset(resen_sig_tmp, 0, sizeof(resen_sig_tmp));
    //end    
	algo_triangle_poz = 0;
	memset(tmp_bl_count, 0, sizeof(tmp_bl_count));
	
	memset(car_in_speed_time, 0, sizeof(car_in_speed_time));
	memset(car_in_speed_sig, 0, sizeof(car_in_speed_sig));
	off_force_on_flag = 0;
	first_idle_flag = 0;
	
	memset(car_in_out_vector_re, 0, sizeof(car_in_out_vector_re));
}


uint16 p_det_status = DET_IDLE;
uint16 st_send_event_count = 0;
uint8 detect_send_event_count = 0;
// main detection routine --------------------------------------
void detect(void)
{    
    //jhsong 2017.02.21 add 10ms
  char sel_sig = 0;
  char det_tmp = 0;
  
  if(config.ctrl_uvds & 0x20)
    algollzthm(0, x_result);
  if(config.ctrl_uvds & 0x10)
    algollzthm(1, y_result);
  if(config.ctrl_uvds & 0x02)
    algollzthm(2, z_result);
//  if(config.ctrl_uvds & 0x01)
//	algollzthm(3, z1_result);
  
  //OR  Ҷ 
	if(det3_on_flag == 0)
	{
		if(det3_on_send_st[0] || det3_on_send_st[1] || det3_on_send_st[2] || det3_on_send_st[3])
		{
			det3_on_flag = 1;
			detect_send_on(sel_sig, 0);
			st_send_event_count = 0;
		}	
	}
	else
	{	  
	  	det_tmp = det3_on_send_st[0]+det3_on_send_st[1]+det3_on_send_st[2]+det3_on_send_st[3];
	  	if((det_tmp == 0))  //ü  OFF
		{
			det3_on_flag = 0;
			detect_send_onoff(sel_sig, 0);
			car_out_bl_off_count = 0;
			car_out_bl_off_flag = 0;
			car_out_bl_off_count1 = 0;
			st_send_event_count = 0;
		}
	}
  
  
    if(st_send_event_count++ > st_com_flag.count) //60s   
    {
        st_send_event_count = 0;
		detect_send_event_count++;

			if((detect_send_event_count%2) == 0)
			{
			   	#if defined(DEBUG_ALGO)
			  	if(det3_on_flag)
				  detect_send_on(sel_sig, 0);
				else
				  detect_send_onoff(sel_sig, 0);
				#endif
			}
			else
			{
				if(det3_on_flag)
				  detect_send_event(1);
				else
				  detect_send_event(0);
			} 		
	}		
	if(config.ctrl_uvds & 0x08)
		rtmon_chk_send();
}

// detect_send_onoff ------------------------------------------
void detect_side_off(uint8 _sel)
{
;

}

//  ۽ ON/OFF 
void park_send_event(uint8 _sel)
{
;
}

// detect_send_onoff ------------------------------------------
void detect_send_event(uint8 _sel)
{	
    BYTE tmp_send_buf[32];
	int size = 0;
	 tmp_send_buf[size++] = config.lora_freq;
	tmp_send_buf[size++] = config.lora_grup;
	tmp_send_buf[size++] = config.sensor_id/256;
	tmp_send_buf[size++] = config.sensor_id%256;
	if(off_force_on_flag || (_sel==1))  // ON 
		tmp_send_buf[size++] = PT_D_ON ;             // DET_ON Status 0x12
	else
		tmp_send_buf[size++] = PT_D_ONOFF;   //0x10

	tmp_send_buf[size++]  = 1;  //id
	
	tmp_send_buf[size++]  = det_seqno++;
	com_send_lora(tmp_send_buf, size);
}

// detect_send_onoff ------------------------------------------
void detect_send_onoff(uint16 sig, uint16 info)
{
    BYTE tmp_send_buf[64];
	int size = 0;
/*
#if !defined(DEBUG_ALGO)
	if(off_force_on_flag)
	  detect_send_event(1);
	else
	  detect_send_event(0);	
	return;
#endif		
	*/
	 tmp_send_buf[size++] = config.lora_freq;
	tmp_send_buf[size++] = config.lora_grup;
	tmp_send_buf[size++] = config.sensor_id/256;
	tmp_send_buf[size++] = config.sensor_id%256;
    


	if(off_force_on_flag)  // ON 
			tmp_send_buf[size++] = PT_D_ON | sig;             // DET_ON Status 0x12
		else
			tmp_send_buf[size++] = PT_D_ONOFF | sig;   //0x10

	tmp_send_buf[size++] = 1;
	
	tmp_send_buf[size++] = det_seqno++;
	//add jhsong

	tmp_send_buf[size++] = sens3_blz[2]%256;
	tmp_send_buf[size++] = sens3_blz[2]/256;
	tmp_send_buf[size++] = z_result%256;  //sig3_tmp[2][0]%256;
	tmp_send_buf[size++] = z_result/256; //sig3_tmp[2][0]/256;
	tmp_send_buf[size++] = dl_car_state;
	tmp_send_buf[size++] = sens3_blz[1]%256;
	tmp_send_buf[size++] = sens3_blz[1]/256;
	tmp_send_buf[size++] = y_result%256;  //sig3_tmp[1][0]%256;
	tmp_send_buf[size++] = y_result/256; //sig3_tmp[1][0]/256;	  
	tmp_send_buf[size++] = sens3_blz[0]%256;
	tmp_send_buf[size++] = sens3_blz[0]/256;
	tmp_send_buf[size++] = x_result%256;  //sig3_tmp[0][0]%256;
	tmp_send_buf[size++] = x_result/256; //sig3_tmp[0][0]/256;

		  tmp_send_buf[size++] = (uint8)(sens_blz_b[0]);
	tmp_send_buf[size++] = (uint8)(sens_blz_b[0] >> 8);
	tmp_send_buf[size++] = (uint8)(sens_blz_b[1]);
	tmp_send_buf[size++] = (uint8)(sens_blz_b[1] >> 8);
	tmp_send_buf[size++] = (uint8)(sens_blz_b[2]);  //20
	tmp_send_buf[size++] = (uint8)(sens_blz_b[2] >> 8);  //21
				
	tmp_send_buf[size++] = (uint8)info | stopcock_serch[0].flag;  //      22
	tmp_send_buf[size++] = (uint8)info | stopcock_serch[1].flag;
	tmp_send_buf[size++] = (uint8)info | stopcock_serch[2].flag;  //30  24
	//			tmp_send_buf[size++] = (uint8)info | stopcock_serch[3].flag;  
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[0]);                  //25
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[0] >> 8);          //26
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[1]);                  //27
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[1] >> 8);
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[2]);
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[2] >> 8);	//30
	//			tmp_send_buf[size++] = (uint8)(blz_add_tmp[3]);
	//			tmp_send_buf[size++] = (uint8)(blz_add_tmp[3] >> 8);	
	tmp_send_buf[size++] = (uint8)(stopcock_top[0]);  
	tmp_send_buf[size++] = (uint8)(stopcock_top[0] >> 8);
	tmp_send_buf[size++] = (uint8)(stopcock_top[1]);
	tmp_send_buf[size++] = (uint8)(stopcock_top[1] >> 8);
	tmp_send_buf[size++] = (uint8)(stopcock_top[2]);
	tmp_send_buf[size++] = (uint8)(stopcock_top[2] >> 8);		
	com_send_lora(tmp_send_buf, size);
}

// 2016.02.05 _yj.kwon
void detect_send_on(uint16 sig, uint16 info)
{
    BYTE tmp_send_buf[64];
	int size = 0;
/*
#if !defined(DEBUG_ALGO)
	if(off_force_on_flag)
	  detect_send_event(1);
	else
	  detect_send_event(0);	
	return;
#endif		
	*/


	 tmp_send_buf[size++] = config.lora_freq;
	tmp_send_buf[size++] = config.lora_grup;
	tmp_send_buf[size++] = config.sensor_id/256;
	tmp_send_buf[size++] = config.sensor_id%256;
    
	tmp_send_buf[size++] = PT_D_ON | sig;             // DET_ON Status 0x12

	tmp_send_buf[size++] = 1;
	
	tmp_send_buf[size++] = det_seqno++;
	//add jhsong

	tmp_send_buf[size++] = sens3_blz[2]%256;
	tmp_send_buf[size++] = sens3_blz[2]/256;
	tmp_send_buf[size++] = z_result%256;  //sig3_tmp[2][0]%256;
	tmp_send_buf[size++] = z_result/256; //sig3_tmp[2][0]/256;
	tmp_send_buf[size++] = dl_car_state;
	tmp_send_buf[size++] = sens3_blz[1]%256;
	tmp_send_buf[size++] = sens3_blz[1]/256;
	tmp_send_buf[size++] = y_result%256;  //sig3_tmp[1][0]%256;
	tmp_send_buf[size++] = y_result/256; //sig3_tmp[1][0]/256;	  
	tmp_send_buf[size++] = sens3_blz[0]%256;
	tmp_send_buf[size++] = sens3_blz[0]/256;
	tmp_send_buf[size++] = x_result%256;  //sig3_tmp[0][0]%256;
	tmp_send_buf[size++] = x_result/256; //sig3_tmp[0][0]/256;

		  tmp_send_buf[size++] = (uint8)(sens_blz_b[0]);
	tmp_send_buf[size++] = (uint8)(sens_blz_b[0] >> 8);
	tmp_send_buf[size++] = (uint8)(sens_blz_b[1]);
	tmp_send_buf[size++] = (uint8)(sens_blz_b[1] >> 8);
	tmp_send_buf[size++] = (uint8)(sens_blz_b[2]);  //20
	tmp_send_buf[size++] = (uint8)(sens_blz_b[2] >> 8);  //21
				
	tmp_send_buf[size++] = (uint8)info | stopcock_serch[0].flag;  //      22
	tmp_send_buf[size++] = (uint8)info | stopcock_serch[1].flag;
	tmp_send_buf[size++] = (uint8)info | stopcock_serch[2].flag;  //30  24
	//			tmp_send_buf[size++] = (uint8)info | stopcock_serch[3].flag;  
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[0]);                  //25
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[0] >> 8);          //26
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[1]);                  //27
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[1] >> 8);
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[2]);
	tmp_send_buf[size++] = (uint8)(blz_add_tmp[2] >> 8);	//30
	//			tmp_send_buf[size++] = (uint8)(blz_add_tmp[3]);
	//			tmp_send_buf[size++] = (uint8)(blz_add_tmp[3] >> 8);	
	tmp_send_buf[size++] = (uint8)(stopcock_top[0]);  
	tmp_send_buf[size++] = (uint8)(stopcock_top[0] >> 8);
	tmp_send_buf[size++] = (uint8)(stopcock_top[1]);
	tmp_send_buf[size++] = (uint8)(stopcock_top[1] >> 8);
	tmp_send_buf[size++] = (uint8)(stopcock_top[2]);
	tmp_send_buf[size++] = (uint8)(stopcock_top[2] >> 8);		
	com_send_lora(tmp_send_buf, size);
}

//jhsong 2017.02.21
#define BL_SERCH_WAIT   3
uint32 wait_flash = 350000;
unsigned char mlevel_main[MAX_SIG];

void algollzthm(unsigned char _sel, unsigned int _sig)
{
    unsigned int dist;
    unsigned int mlevel[4];
    unsigned int tmp = 0;    	

	if(algoA_aver_count[_sel] >= MAX_SIG_AVER)
	{
		  algoA_aver_count[_sel] = 0;		  
		  sig3_tmp[_sel][0] = aver_total_sum[_sel]/MAX_SIG_AVER;
		  aver_total_sum[_sel] = 0;		  
	}
	if(algoA_aver_count1[_sel]++>SIG3_AD_SPEED) //150ms   Ǳ ۹ 
	{
		algoA_aver_count1[_sel] = 0;
	  	aver_total_sum[_sel] += _sig;
		algoA_aver_count[_sel]++;
	}
	
    if(det3_first_start[_sel] < BL_SERCH_WAIT)
    {        
        if(_sig>0) 
		{
		  det3_first_start[_sel]++; 		
		  if(det3_first_start[_sel] == BL_SERCH_WAIT)
		  {        
			if((sens3_blz[_sel] == 0) || dl_car_state)  //ʱ ذ  
			{
				sens_blz_b[_sel] = _sig;  
				blz_add_tmp[_sel] = _sig;           
				sens3_blz[_sel] = _sig;
				config.sens3_bl[_sel] =  _sig;
				det3_cnt_blup[_sel] = det_blup;  
				det3_cnt_longon[_sel] = det_longon; //sec
				det3_status[_sel]       = DET_IDLE;
				det3_blup_enabled[_sel] = TRUE;
				det3_count1[_sel] = 0;		
				#if defined(DEBUG_DISPLAY_ON)
				UARTprintf("\r\n>> DET%u  S: (%u)(%u)(%u)(%u)\r\n", _sel, x_result, y_result, z_result, sens3_blz[_sel]);
				#endif
//				fn_config_write();
				if(dl_car_state)  //   ذ 缳   ON
					detect_send_on(_sel, 0);       
				
				sens_blz_stopcock[_sel] = _sig;
				algo_triangle[0][0][_sel] = _sig;
				algo_bl_triangle[_sel] = _sig;
				det_cnt_blup_stopcock[_sel] = det_blup;
				det_status_stopcock[_sel] = DET_IDLE;		
				det_status_triangle[_sel] = DET_IDLE;
				
				sig3_idle_tmp[_sel] = _sig;
				
			 }
			else //ذ ̹ Ƽ Ǿִ  ҷ 
			{
			  det3_cnt_blup[_sel] = det_blup/100;
			  det3_cnt_longon[_sel] = det_longon; //sec
			  det3_status[_sel]       = DET_IDLE;
			  det3_blup_enabled[_sel] = TRUE;
			  det3_count1[_sel] = 0;
			  
			  det_status_stopcock[_sel] = DET_IDLE;
			  det_status_triangle[_sel] = DET_IDLE;
			  sens_blz_stopcock[_sel] = _sig;
			  algo_triangle[0][0][_sel] = _sig;
			  det_cnt_blup_stopcock[_sel] = det_blup;
			  
			  	blz_add_tmp[_sel] = sens3_blz[_sel]-blz_stopcock[_sel]; 
				sens_blz_b[_sel] =  blz_add_tmp[_sel];
        		dist = util_get_offset_1(blz_add_tmp[_sel], _sig);
        		if(dist > det_onth) {  //jhsong ⺻ 60
					mlevel[_sel] = MLVL_ON;
				} else if(dist < det_offth) { //jhsong ⺻ 30
					mlevel[_sel] = MLVL_OFF;					
				} else {
					mlevel[_sel] = MLVL_MID;
				}
				if(mlevel[_sel] >= MLVL_MID)
				{
					car_in_flag[0] =  1;
					car_in_flag[1] =  1;
					car_in_flag[2] =  1;
					on_flag_check[_sel] = 1;
					if(car_in_blz_stopcock[_sel] == 0)
					  	car_in_blz_stopcock[_sel] = _sig;
					
					car_in_out_vector[_sel][SENS_CAR_IN_SEARCH] = blz_add_tmp[_sel] - _sig;
			//		UARTprintf("\r\n asdfasdf\r\n");
			//		memcpy(blz_stopcock_tmp, blz_stopcock, sizeof(blz_stopcock));
				}
				sig3_idle_tmp[_sel] = _sig;
				algo_bl_triangle[_sel] = _sig;
			}	
		  }
		}
    }
    else
    {		
//        mbufs3_update(_sel, _sig, det3_status[_sel]);      // 2015.11.03 _yj.kwon	  
	  	algollzthm_Stopcock(_sel, _sig);
//		algo_triangle_serch(_sel, _sig);
		
		if(car_in_flag[0] || car_in_flag[1] || car_in_flag[2] )
		{
			tmp = (car_in_out_vector[0][SENS_CAR_TRANS]+car_in_out_vector[1][SENS_CAR_TRANS]+car_in_out_vector[2][SENS_CAR_TRANS]);   
			if(tmp > 1000) //ڼ 
			  off_supply_flag = 38;
			else if(tmp > 600) //ڼ 
			  off_supply_flag = 30;
			else if(tmp > 300) //ڼ 
			  off_supply_flag = 20;
			else if(tmp > 200) //ڼ 
			  off_supply_flag = 15;
			else
			  off_supply_flag = 0;
		}
		
        dist = util_get_offset_1(blz_add_tmp[_sel], _sig);
        if(dist > det_onth) {  //jhsong ⺻ 60
            mlevel_main[_sel] = MLVL_ON;			
        }  else if(dist < (det_offth+off_supply_flag)) { //jhsong ⺻ 30
            mlevel_main[_sel] = MLVL_OFF;
        } else {
            mlevel_main[_sel] = MLVL_MID;
        }

        switch(det3_status[_sel]) {

            case DET_IDLE: // ----------------------------
                if(mlevel_main[_sel] == MLVL_ON) {
                    
				    det3_blup_enabled[_sel] = FALSE;
                    det3_cnt_onwait[_sel]   = 1;
                    det3_status[_sel]       = DET_PREDETECT;
					on_flag_check[_sel] = 1;					
				} 
				else if((mlevel_main[_sel] == MLVL_MID) ||  on_flag_check[0] || on_flag_check[1]  || on_flag_check[2])
				{
				  	//20180105 jhsong add    ON̳  ׳ OFF ϶  2  ǰ ִ°  Ǯֱ 
				  	if(--det3_cnt_blup[_sel] < 1) {                   // every 10 sec.
                            det3_cnt_blup[_sel] = det_blup; //100ms
							if(car_in_flag[_sel] == 0)
							{
							  tmp_bl_go(_sel);
							  tmp_bl_go(_sel);
							  tmp_bl_go(_sel);
							}
					}
					if((mlevel_main[0] == MLVL_OFF) && (mlevel_main[1] == MLVL_OFF) && (mlevel_main[2] == MLVL_OFF))
					  	memset(on_flag_check, 0, sizeof(on_flag_check));
					//end
				}
				else {
                  //  if(det3_blup_enabled[_sel]) {
                        if(--det3_cnt_blup[_sel] < 1) {                   // every 10 sec.
                            det3_cnt_blup[_sel] = det_blup; //100ms		
							//jhsong 20170920 ذ  ؼ ʿ 
                            //mbufs3_setnbl(_sel);
							
							//20171113 add jhsong ʱ ذ ƿ ׳ OFF
							car_out_blz[_sel] = blz_add_tmp[_sel];
							
							//ڼ  
							car_in__force_flag[_sel] = 0;
							on_flag_check[_sel] = 0;
							if(off_force_on_flag == 0)
							{
								if(car_in_flag[0] || car_in_flag[1] || car_in_flag[2])
								{
									if(on_flag_check[0]==0 && on_flag_check[1]==0 && on_flag_check[2] == 0)
									{
										 car_serch_init();
									}
								}
							}
                        }												
                    //}
					//20171123 add jhsong 鼭 ٰ    ϸ鼭 鼭    13ʷ IDLE  
			//		if(car_in_flag[_sel])
			//		   car_out_bl_off(_sel, _sig);
					   //end
                }
                break;

            case DET_PREDETECT: // -----------------------
                if(mlevel_main[_sel] == MLVL_ON) {

                    if((++ det3_cnt_onwait[_sel]) >= det_onwait) {
                        det3_cnt_longon[_sel] = det_longon;
                        det3_status[_sel]     = DET_DETECT;
                        det3_on_send_st[_sel] = 1;
                    }
                } else {
                    det3_cnt_blup[_sel] = det_blup; //100ms
                    det3_blup_enabled[_sel] = TRUE;
                    det3_status[_sel] = DET_IDLE;
					on_flag_check[_sel] = 0;
                }
                break;

            case DET_DETECT: // --------------------------
			 // if((mlevel[_sel] == MLVL_OFF) ||(mlevel[_sel] == MLVL_MID)) {
			  if(mlevel_main[_sel] == MLVL_OFF) {
                    det3_cnt_offwait[_sel] = 1;
                    det3_cnt_onwait[_sel]  = 0;
                    det3_status[_sel]      = DET_PREIDLE;
					det3_cnt_blup[_sel] = det_blup; //10ms	

                } else {
				  if(--det3_cnt_blup[_sel] == 0) {                   // every 10 sec.
                            det3_cnt_blup[_sel] = det_blup; //10ms	
                  			//car_det_init(); 
				  }
				  
				  if(off_force_on_flag == 0)
				   	car_out_bl_off(_sel, _sig);
                }
                break;
                    
            case DET_PREIDLE: // -------------------------
                //if((mlevel[_sel] == MLVL_OFF) ||(mlevel[_sel] == MLVL_MID))
			    if(mlevel_main[_sel] == MLVL_OFF)
                {
                    // check offwait counter
                    if(++det3_cnt_offwait[_sel] >= det_offwait) {
					  	det3_count1[_sel]++;
                        det3_on_send_st[_sel] = 0;

                        // go next status
                        det3_cnt_blup[_sel] = det_blup/10; //100ms
                        det3_blup_enabled[_sel] = TRUE;
                        det3_status[_sel]       = DET_IDLE;
						on_flag_check[_sel] = 0;
						//ڼ  
						car_in__force_flag[_sel] = 0;
                    } else {
                        det3_cnt_onwait[_sel] = 0;
                    }               
                } 
                if(mlevel_main[_sel] == MLVL_ON)
                    {              
                    det3_cnt_offwait[_sel] = 0;        // 2015.10.02 _yj.kwon
                
                    // check onwait counter
                    if(++det3_cnt_onwait[_sel] >= det_onwait)
                    {
                        det3_status[_sel]     = DET_DETECT;
                    } 
					if(--det3_cnt_blup[_sel] < 1) {                   // every 10 sec.
                            det3_cnt_blup[_sel] = det_blup; //10ms	
                  			//car_det_init(); 
				  }
                }
                else
                {				
					//˰ B ȭ üũ  ذ 
         ;//           algollzthm_B(_sel, _sig);		 			
                }

				if(off_force_on_flag == 0)
				   		car_out_bl_off(_sel, _sig);
                break;
        }        
        
        if(dl_car_state)  //   ذ 缳   ON
            det3_on_send_st[_sel] = 1;
        
        //ذ   15̻ ̳ ٽ 
        
		if(wait_flash++ > (360000)) //10п ѹ üũ
		{
			wait_flash = 0;	
			tmp = 0;
		  	dist = util_get_offset_1(blz_stopcock[_sel], config.blz_stopcock[_sel]);
		  	if(dist > 15)
			  {
					memcpy(config.sens3_bl, sens3_blz, sizeof(sens3_blz));
					memcpy(config.blz_stopcock, blz_stopcock, sizeof(blz_stopcock));					
					memcpy(config.blz_stopcock_tmp, blz_stopcock_tmp, sizeof(blz_stopcock_tmp));
					memcpy(config.car_in_blz_stopcock, car_in_blz_stopcock, sizeof(car_in_blz_stopcock));
					tmp = 1;
		//			UARTprintf("\r\n>> 1\r\n");
			  }
			dist = util_get_offset_1(blz_stopcock_tmp[_sel], config.blz_stopcock_tmp[_sel]);
		  	if(dist > 15)
			  {
					memcpy(config.sens3_bl, sens3_blz, sizeof(sens3_blz));
					memcpy(config.blz_stopcock, blz_stopcock, sizeof(blz_stopcock));					
					memcpy(config.blz_stopcock_tmp, blz_stopcock_tmp, sizeof(blz_stopcock_tmp));
					memcpy(config.car_in_blz_stopcock, car_in_blz_stopcock, sizeof(car_in_blz_stopcock));
					tmp = 1;
		//			UARTprintf("\r\n>> 1\r\n");
			  }
			
			dist = util_get_offset_1(sens3_blz[_sel], config.sens3_bl[_sel]);
			if(dist > 15)
			  {
					memcpy(config.sens3_bl, sens3_blz, sizeof(sens3_blz));
					memcpy(config.blz_stopcock, blz_stopcock, sizeof(blz_stopcock));		
					memcpy(config.blz_stopcock_tmp, blz_stopcock_tmp, sizeof(blz_stopcock_tmp));
					memcpy(config.car_in_blz_stopcock, car_in_blz_stopcock, sizeof(car_in_blz_stopcock));
					tmp = 1;
	//			 UARTprintf("\r\n>> 2\r\n");
			  }
			
			dist = util_get_offset_1(car_in_blz_stopcock[_sel], config.car_in_blz_stopcock[_sel]);
			if(dist > 15)
			  {
					memcpy(config.sens3_bl, sens3_blz, sizeof(sens3_blz));
					memcpy(config.blz_stopcock, blz_stopcock, sizeof(blz_stopcock));	
					memcpy(config.blz_stopcock_tmp, blz_stopcock_tmp, sizeof(blz_stopcock_tmp));
					memcpy(config.car_in_blz_stopcock, car_in_blz_stopcock, sizeof(car_in_blz_stopcock));
					tmp = 1;
	//			 UARTprintf("\r\n>> 3\r\n");
			  }
			if(tmp)
			  	fn_config_write();
		}
	}
}

void car_serch_init(void)
{
		sens_blz_b[0] = x_result;  // ذ 
		sens_blz_b[1] = y_result;
		sens_blz_b[2] = z_result;
  		memset(car_in_flag, 0, sizeof(car_in_flag));
		memset(car_in_out_vector, 0, sizeof(car_in_out_vector));
		car_in_wait_time[0] = DET_STOP_TIME;  
		car_in_wait_time[1] = DET_STOP_TIME;  
		car_in_wait_time[2] = DET_STOP_TIME;  
		sens3_blz[0] = x_result;
		blz_add_tmp[0] = sens3_blz[0];
		sens3_blz[1] = y_result;
		blz_add_tmp[1] = sens3_blz[1];
		sens3_blz[2] = z_result;
		blz_add_tmp[2] = sens3_blz[2];
		det_status_stopcock[0] = DET_IDLE;
		det_status_stopcock[1] = DET_IDLE;
		det_status_stopcock[2] = DET_IDLE;
		sens_blz_stopcock[0] = x_result;
		sens_blz_stopcock[1] = y_result;
		sens_blz_stopcock[2] = z_result;		
		
		stopcock_serch[0].flag = 0;
		stopcock_serch[1].flag = 0;
		stopcock_serch[2].flag = 0;
		stopcock_top[0] = 0;
		stopcock_top[1] = 0;
		stopcock_top[2] = 0;

		if(off_force_on_flag)
			off_force_on_flag = 0;
		
#if defined(DEBUG_ALGO)
	detect_send_onoff(0xA0, 0x00);  //		
#endif		
		
//		triangle_init();
		pattern_start = 0;
}

void car_out_bl_off(unsigned char _sel, unsigned int _sig)
{
	unsigned char tmp = 0;
  /*	unsigned int dist =0;  
	unsigned int dist1 =0;
	unsigned int dist2 =0;
	unsigned int dist3 =0;
*/
	unsigned int dist_sig =0;  
	unsigned int dist1_sig =0;
	unsigned int dist2_sig =0;	
	//unsigned int dist3_sig =0;	
	
	unsigned int dist_sig2 =0;   
	unsigned int dist1_sig2 =0;
	unsigned int dist2_sig2 =0;	
//	unsigned int dist3_sig2 =0;	
	unsigned char off_tmp = det_offth+off_supply_flag;
	
	car_out_bl_off_count1++;
//	dist = util_get_offset_1(car_out_blz[0], x_result);	
//	dist1 = util_get_offset_1(car_out_blz[1], y_result);	
//	dist2 = util_get_offset_1(car_out_blz[2], z_result);	
	//dist3 = util_get_offset_1(car_out_blz[3], z1_result);

	//ʱ 
	dist_sig = util_get_offset_1(sens3_blz[0], x_result);	
	dist1_sig = util_get_offset_1(sens3_blz[1], y_result);	
	dist2_sig = util_get_offset_1(sens3_blz[2], z_result);	
	//dist3_sig = util_get_offset_1(sens3_blz[3], z1_result);
	
	//
	dist_sig2 = util_get_offset_1(sens_blz_b[0], x_result);	
	dist1_sig2 = util_get_offset_1(sens_blz_b[1], y_result);	
	dist2_sig2 = util_get_offset_1(sens_blz_b[2], z_result);	
	//dist3_sig2 = util_get_offset_1(sens_blz_b[3], z1_result);
	
/*	if((dist<off_tmp) && (dist1<off_tmp) && (dist2<off_tmp)) //ʱ ذ ƿ 
	{
	  	if(car_out_bl_off_count1>(6000/WAKE_UP_TIME))
			tmp = 1;
	}
	else */if((dist_sig<off_tmp) && (dist1_sig<off_tmp) && (dist2_sig<off_tmp)) //ʱ ذ ƿ 
	{
	  	if(car_out_bl_off_count1>(6000/WAKE_UP_TIME))
			tmp = 1;
	}
	else if((dist_sig2<off_tmp) && (dist1_sig2<off_tmp) && (dist2_sig2<off_tmp))  // ذ ƿ 
	{
	  	if(car_out_bl_off_count1>(6000/WAKE_UP_TIME))
			tmp = 1;
	}	  
	else
	{
	  	car_out_bl_off_count1  = 0;
	}
	if(tmp)
	{
	  	car_out_bl_off_count1 = 0;
		if( car_in_flag[_sel])
		{
			car_serch_init();
		}
	}
}


void tmp_bl_go(unsigned char _sel)
{
	unsigned int dist;  	
	
	dist = util_get_offset_1(sig3_tmp[_sel][0], sig3_tmp[_sel][1]);   // ذ µ 
	if(dist < 35)
	{
	  	if( sig3_tmp[_sel][0] < sig3_tmp[_sel][1])
		{
			sens3_blz[_sel] -= (config.sens_upunit);//+st_det_wait.flag);
			car_in_blz_stopcock[_sel] -= (config.sens_upunit);//+st_det_wait.flag);

//		  	sens_blz_b[_sel] -= (config.sens_upunit);//+st_det_wait.flag);			
			sig3_tmp[_sel][1] -= (config.sens_upunit);//+st_det_wait.flag);
		}
    	else if( sig3_tmp[_sel][0] > sig3_tmp[_sel][1])
		{
			sens3_blz[_sel] += (config.sens_upunit);//+st_det_wait.flag);		  
			car_in_blz_stopcock[_sel] += (config.sens_upunit);//+st_det_wait.flag)
//		  	sens_blz_b[_sel] += (config.sens_upunit);//+st_det_wait.flag);	
			sig3_tmp[_sel][1] += (config.sens_upunit);//+st_det_wait.flag);
		}
		tmp_bl_count[_sel] = 0;
	}
	else
	{
	 	tmp_bl_count[_sel]++;
	  	if(tmp_bl_count[_sel]>3)
		{
	  		tmp_bl_count[_sel] = 0;
		  	sig3_tmp[_sel][1] = sig3_tmp[_sel][0];
		}
	} 
}

void car_det_init(void)
{
    unsigned int dist;
 //   unsigned int mlevel[4];
    unsigned int tmp = 0;
	unsigned char tmp_flag = 0;
	int i = 0;
	for(i = 0;i<3;i++)
	{
		if(i == 0)
		  tmp = x_result;
		else if(i == 1)
		  tmp = y_result;
		else if(i == 2)
		  tmp = z_result;
	  	dist = util_get_offset_1(sens3_blz[i], tmp); 
		if(dist < 30)
			tmp_flag++;		
	}
	if(tmp_flag == 3)
	{
	  	memset(car_in_flag, 0, sizeof(car_in_flag));	
		blz_stopcock[0] = sens3_blz[0] - x_result;
		 blz_stopcock[1] = sens3_blz[1] - y_result;
		 blz_stopcock[2] = sens3_blz[2] - z_result;
		 blz_stopcock[3] = sens3_blz[3] - z1_result;
	}
}

void reset_det_bl(void)
{
    dl_car_state = 0;
    config.bl_serch = 0;
    config.sens3_bl[0] = 0;
    config.sens3_bl[1] = 0;
    config.sens3_bl[2] = 0;    
	config.blz_stopcock[0] = 0;   
	config.blz_stopcock[1] = 0;   
	config.blz_stopcock[2] = 0;   
	config.car_in_blz_stopcock[0] = 0;   
	config.car_in_blz_stopcock[1] = 0;   
	config.car_in_blz_stopcock[2] = 0;  	
	config.bl_serch = 0;
    fn_config_write();
 //   UARTprintf("\r\n>> 2\r\n");
    detect_init();
}

void mbufs3_setnbl(unsigned char _sel)
{
    int i=0;
    if(sig3_tmp[_sel][0] < sens3_blz[_sel])
        sens3_blz[_sel] -= (config.sens_upunit);//+st_det_wait.flag);
    else if(sig3_tmp[_sel][0] > sens3_blz[_sel])                      // 2015.11.03 _yj.kwon    else{  --> else if(...)
        sens3_blz[_sel] += (config.sens_upunit);//+st_det_wait.flag);
}

//################################### ˰ 3     ˰ 3  12̸̻  Ǵ
void det_on_set(void)
{
	det_status_stopcock[0] = DET_DETECT;
	det_status_stopcock[1] = DET_DETECT;
	det_status_stopcock[2] = DET_DETECT;
//	det_status_stopcock[3] = DET_DETECT;
	det_cnt_blup_stopcock[0] = det_blup/10;
	det_cnt_blup_stopcock[1] = det_blup/10;
	det_cnt_blup_stopcock[2] = det_blup/10;
//	det_cnt_blup_stopcock[3] = det_blup/10;

	car_in_stopcock[0] = stopcock_serch[0].flag;
	car_in_stopcock[1] = stopcock_serch[1].flag;
	car_in_stopcock[2] = stopcock_serch[2].flag; 
//	car_in_stopcock[3] = stopcock_serch[3].flag; 
	memset(car_in_wait_time, 0, sizeof(car_in_wait_time));
}

void det_on_cle(unsigned char _sel)
{
		det_status_stopcock[0] = DET_IDLE;
		det_status_stopcock[1] = DET_IDLE;
		det_status_stopcock[2] = DET_IDLE;
//		det_status_stopcock[3] = DET_IDLE;
		sens_blz_stopcock[0] = x_result;
		sens_blz_stopcock[1] = y_result;
		sens_blz_stopcock[2] = z_result;
//		sens_blz_stopcock[3] = car_in_tmp[3][0];
		det_cnt_blup_stopcock[0] = det_blup/10;  //10ms
		det_cnt_blup_stopcock[1] = det_blup/10;
		det_cnt_blup_stopcock[2] = det_blup/10;
//		det_cnt_blup_stopcock[3] = det_blup/10;
		if(_sel == 0)
			detect_send_on(0xF0, 0x80);
		else if(_sel == 1)
		  	detect_send_on(0x20, 0x80);  // ڼ 
		stopcock_serch[0].flag = 0;
		stopcock_serch[1].flag = 0;
		stopcock_serch[2].flag = 0;
		stopcock_top[0] = 0;
		stopcock_top[1] = 0;
		stopcock_top[2] = 0;
//		stopcock_serch[3].flag = 0;
		wait_flash = 350000;
		memset(car_in_wait_time, 0, sizeof(car_in_wait_time));
		
		if(car_in_flag[0] || car_in_flag[1] || car_in_flag[2])  //  
        {                        								
			//20171227 jhsong add ڼ ϶ ü ذ Ű  
		  	if(_sel) 
			{
				sens3_blz[0] = sens3_blz[0] - (car_in_blz_stopcock[0] - x_result);	
//				sens_blz_b[0] = sens_blz_b[0] - (car_in_blz_stopcock[0] - car_in_tmp[0][0]);	
				car_in_blz_stopcock[0] = x_result;
				blz_stopcock[0] = blz_stopcock_tmp[0] + (car_in_blz_stopcock[0] - x_result);	
				blz_add_tmp[0] = sens3_blz[0]-blz_stopcock[0];	
				
				sens3_blz[1] = sens3_blz[1] - (car_in_blz_stopcock[1] - y_result);		
//				sens_blz_b[1] = sens_blz_b[1] - (car_in_blz_stopcock[1] - car_in_tmp[1][0]);	
				car_in_blz_stopcock[1] = y_result;
				blz_stopcock[1] = blz_stopcock_tmp[1] + (car_in_blz_stopcock[1] - y_result);							
				blz_add_tmp[1] = sens3_blz[1]-blz_stopcock[1];	
				
				sens3_blz[2] = sens3_blz[2] - (car_in_blz_stopcock[2] - z_result);	
//				sens_blz_b[2] = sens_blz_b[2] - (car_in_blz_stopcock[2] - car_in_tmp[2][0]);
				car_in_blz_stopcock[2] = z_result;
				blz_stopcock[2] = blz_stopcock_tmp[2] + (car_in_blz_stopcock[2] - z_result);							
				blz_add_tmp[2] = sens3_blz[2]-blz_stopcock[2];	
			  //end
			}
		   	else
			{
				blz_stopcock[0] = blz_stopcock_tmp[0] + (car_in_blz_stopcock[0] - x_result);							
				blz_add_tmp[0] = sens3_blz[0]-blz_stopcock[0];	
				blz_stopcock[1] = blz_stopcock_tmp[1] + (car_in_blz_stopcock[1] - y_result);							
				blz_add_tmp[1] = sens3_blz[1]-blz_stopcock[1];	
				blz_stopcock[2] = blz_stopcock_tmp[2] + (car_in_blz_stopcock[2] - z_result);							
				blz_add_tmp[2] = sens3_blz[2]-blz_stopcock[2];				
			}  
		}	
		//20171128 add jhsong 
		else
		{
		  	sens3_blz[0] = x_result;
			sens_blz_b[0] = x_result;
			blz_add_tmp[0] = sens3_blz[0];
			sens3_blz[1] = y_result;
			sens_blz_b[1] = y_result;
			blz_add_tmp[1] = sens3_blz[1];
			sens3_blz[2] = z_result;
			sens_blz_b[2] = z_result;			
			blz_add_tmp[2] = sens3_blz[2];
			
		}
		//end
		algo_triangle_flag = 0;
		algo_triangle[algo_triangle_poz][0][0] = x_result;
		algo_triangle[algo_triangle_poz][0][1] = y_result;
		algo_triangle[algo_triangle_poz][0][2] = z_result;
		pattern_start = 0;
}

void det_on_init(void)
{
	det_status_stopcock[0] = DET_PREIDLE;
	det_status_stopcock[1] = DET_PREIDLE;
	det_status_stopcock[2] = DET_PREIDLE;
	det_status_stopcock[3] = DET_PREIDLE;
	det_cnt_blup_stopcock[0] = det_blup/10;  //10ms
	det_cnt_blup_stopcock[1] = det_blup/10;
	det_cnt_blup_stopcock[2] = det_blup/10;
	det_cnt_blup_stopcock[3] = det_blup/10;
	memset(car_in_wait_time, 0, sizeof(car_in_wait_time));
}

void serch_init(unsigned char _sel)
{
	car_in_wait_time[_sel]++; //10ms 
	 if((car_in_wait_time[0]>=DET_STOP_TIME) && (car_in_wait_time[1] >= DET_STOP_TIME) && (car_in_wait_time[2] >= DET_STOP_TIME))//&& (stopcock_serch[0].flag<=3) && (stopcock_serch[1].flag<=3) )  //4.5s ̻ ذ  ٽ  ٽ ã
	 {
		det_status_stopcock[0] = DET_IDLE;
		det_status_stopcock[1] = DET_IDLE;
		det_status_stopcock[2] = DET_IDLE;

		det_cnt_blup_stopcock[0] =det_blup;  //10ms
		det_cnt_blup_stopcock[1] = det_blup;
		det_cnt_blup_stopcock[2] = det_blup;

		memset(car_in_wait_time, 0, sizeof(car_in_wait_time));
		stopcock_serch[0].flag = 0;
		stopcock_serch[1].flag = 0;
		stopcock_serch[2].flag = 0;
		//20180130 add jhsong  ?
		sens_blz_stopcock[0] = x_result;
		sens_blz_stopcock[1] = y_result;
		sens_blz_stopcock[2] = z_result;		
		//end
#if defined(DEBUG_ALGO)
	detect_send_onoff(0xA0, 0x00);
#endif		
		
	 }  
	 pattern_start = 0;
}

void stopcock_time_init(void)
{
  	if(det_status_stopcock[0] == DET_SERCH)
	  	stopcock_wait_time[0] = det_blup; //10s
	if(det_status_stopcock[1] == DET_SERCH)
		stopcock_wait_time[1] = det_blup; //10s
	if(det_status_stopcock[2] == DET_SERCH)
		stopcock_wait_time[2] = det_blup; //10s
}

void algollzthm_Stopcock(unsigned char _sel, int _sig)
{
    unsigned int dist;//, i, j;
//	unsigned int dist1;
//	unsigned int dist2;
//	unsigned int dist3;    
//	unsigned char off_tmp = det_offth+off_supply_flag;
    unsigned int tmp = 0;
	unsigned int tmp1 = 0;	

	//20180117 add jhsong  ˰ 
	
	dist = util_get_offset_1(sens_blz_stopcock[_sel], _sig);
	if(dist > 60) {  //jhsong ⺻ 60
		mlevel_stopcock[_sel] = MLVL_ON;
	} else if(dist < det_offth) { //jhsong ⺻ 30
		mlevel_stopcock[_sel] = MLVL_OFF;
	} else {
		mlevel_stopcock[_sel] = MLVL_MID;
	}

  switch(det_status_stopcock[_sel])
  {
      case DET_IDLE: // ----------------------------
          if(mlevel_stopcock[_sel] >= MLVL_ON) {
			  wait_flash = 0;
              det_status_stopcock[_sel] = DET_SERCH;
              stopcock_wait_time[_sel] = det_blup; //10s
              stopcock_serch[_sel].flag = 0;
              stopcock_serch[_sel].count = 0;			 
              car_in_wait_time[_sel] = 0;

              if(sens_blz_stopcock[_sel] < _sig)
                  stopcock_dir[_sel] = DET_SERCH_ADD;
              else
                  stopcock_dir[_sel] = DET_SERCH_MINUS;
			  resen_stopcock[_sel] = _sig;
			  det_cnt_blup_stopcock[0] = det_blup;
			  det_cnt_blup_stopcock[1] = det_blup;
			  det_cnt_blup_stopcock[2] = det_blup;
			  
			  resen_sig_tmp[_sel] = 0;
			  send_serch_flag = 0;
			  
			  //20171214 add jhsong  ӵ üũ
			  car_in_speed_sig[_sel] = _sig;
			  if(first_idle_flag == 0)
			  {
					first_idle_flag = 1;
					//memset(car_in_speed_time, 0, sizeof(car_in_speed_time));
					memset(stopcock_top, 0, sizeof(stopcock_top));
			  }
			  //end
			  //20180117 add jhsong  ˰ ʱȭ 
			//  pattern_init();
			  //end
//			  pattern_analy();
          } 
		  //20171115 add jhsong
		  else if(mlevel_stopcock[_sel] == MLVL_MID)
		  {
				if(--det_cnt_blup_stopcock[_sel] < 1) 
				{                   // every 12 sec.
                  det_cnt_blup_stopcock[_sel] = det_blup/10;  //10ms
				  
				  if(sens_blz_stopcock[_sel] > _sig)
					sens_blz_stopcock[_sel]--;
				  else if(sens_blz_stopcock[_sel] < _sig)
					sens_blz_stopcock[_sel]++;
				}
				stopcock_wait_time[_sel] = 0;
				car_in_wait_time[_sel] = DET_STOP_TIME;
				//20180126 add jhsong  ˰ ʱȭ 
//				pattern_init();
//				pattern_analy();
				//
				if(_sel<2)
				{
					if(car_in_speed_time[0] == 0)
					{
						car_in_speed_time[0] = _sel+1;
						car_in_speed_time[1] = 0;
					}
					else
					  	car_in_speed_time[1]++;
				}
		  }
					 //end
		  else if((mlevel_stopcock[0] == MLVL_OFF) && (mlevel_stopcock[1] == MLVL_OFF) && (mlevel_stopcock[2] == MLVL_OFF))
		  {
              if(--det_cnt_blup_stopcock[_sel] < 1) {                   // every 12 sec.
					det_side_send_flag = 0; //ڼ  Խ ο ˷ֱ 
                  det_cnt_blup_stopcock[_sel] = det_blup;  //10ms
                  
				  //20180213 add jhsong ó  ذ  
				  //end
				  
				  //20171204 add jhsong
				  //sens_blz_stopcock[_sel] = _sig;				  
				  if(sens_blz_stopcock[_sel] > sig3_tmp[_sel][0])
						sens_blz_stopcock[_sel]--;
  			  	  else if(sens_blz_stopcock[_sel] < sig3_tmp[_sel][0])
					    sens_blz_stopcock[_sel]++;
				  //end
                  if(car_in_flag[0] || car_in_flag[1] || car_in_flag[2])  //  
                  {                        
						det_cnt_blup_stopcock[_sel] = det_blup;  //10ms
						
						//20180213 add jhsong  ذ ׳ ؼ i 
						
						sens_blz_b[_sel] = _sig+car_in_out_vector[_sel][SENS_CAR_IN_SEARCH];
						  //end
						
						tmp_bl_go(_sel);  // ذ µ 
												
						blz_stopcock[_sel] = blz_stopcock_tmp[_sel] + (car_in_blz_stopcock[_sel] - sig3_tmp[_sel][0]);
						blz_add_tmp[_sel] = sens3_blz[_sel]-blz_stopcock[_sel];
						

						car_in_check_time++;
						if(car_in_check_time>250)  // ON Time üũ 13s / 3
						  car_in_check_time = 250;
						
                		if(car_in_flag[_sel] == 1)  //ù°      
						  	car_in_blz_stopcock1[_sel] = car_in_blz_stopcock[_sel];
						else 
							blz_add_tmp1[_sel] = blz_stopcock_tmp[_sel] + car_in_blz_stopcock1[_sel] + (car_in_blz_stopcock[_sel] - sig3_tmp[_sel][0]);	
						
						//ڼ üũ 				  
					/*	dist = util_get_offset_1(blz_add_tmp[_sel], _sig);
						if(dist > config.det_longonStableWait)
							car_in__force_flag[_sel] = 1;
						if(car_in__force_flag[_sel])
						{
							if(dist < 100)  //ڼ  ȵǰ ׳   
							{
							  reset_det_bl();
							}
						}
						*/
						car_in_wait_time[_sel] = DET_STOP_TIME;  		
                  }
                  else  //  
				  {
					det_cnt_blup_stopcock[_sel] = det_blup;  //10ms 40 4.33   60s 

					//20171128 add jhsong 
					if(sig3_tmp[_sel][0] > sens3_blz[_sel])
					{
					  sens3_blz[_sel]++;
					  sens_blz_b[_sel]++;
				    }
					else if(sig3_tmp[_sel][0] < sens3_blz[_sel])
					{
					  sens3_blz[_sel]--;
					  sens_blz_b[_sel]--;
				    }
					
					//end
					blz_add_tmp[_sel] = sens3_blz[_sel];
					//sens_blz_b[_sel] = sens3_blz[_sel];
					//blz_stopcock[_sel] = sens3_blz[_sel] - sig3_tmp[_sel][0];//car_in_tmp[_sel][3];//_sig;  Ÿ  30   ߻						
					//blz_add_tmp[_sel] = sens3_blz[_sel]-blz_stopcock[_sel];
											
					car_in_check_time  = 0;
					car_in_wait_time[_sel] = DET_STOP_TIME;
					
					//20171024 add jhsong ﰢ ˰ ʱȭ
					algo_triangle_poz = 0;
					//end
					//20180202 add jhsong   TOP  0
					memset(stopcock_top, 0, sizeof(stopcock_top));
					//end
				  }		
				//	send_onoff_count = 0;
              } 			  			  
              car_in_tmp[_sel][3] = car_in_tmp[_sel][2];
			  car_in_tmp[_sel][2] = car_in_tmp[_sel][1];
			  car_in_tmp[_sel][1] = car_in_tmp[_sel][0];         
			  car_in_tmp[_sel][0] = _sig;		  
              stopcock_wait_time[_sel] = 0;
			  
			  //20171204 add jhsong    ϱ   
			  resen_sig_tmp[_sel] = car_in_tmp[_sel][3];
			  //end
			  
			  //20180117 add jhsong  ˰ ʱȭ
			  pattern_value[0][0] = diff_value_b[0]; //x
			  pattern_value[0][1] = diff_value_b[1]; //y
			  pattern_value[1][0] = pattern_value[0][0]+pattern_compare_value;
		      pattern_value[1][1] = pattern_value[0][1]+pattern_compare_value;
		      pattern_value[2][0] = pattern_value[0][0]-pattern_compare_value;
		      pattern_value[2][1] = pattern_value[0][1]-pattern_compare_value;
			  //end
			  
			  if(st_det_side_on.flag)  //   8  ȵǰ  ʱȭ 
			  {
		  			if(st_det_side_on.count++ > 800)
					  st_det_side_on.flag = 0;
			  }
			  car_in_speed_time[0] = 0;
			  car_in_speed_time[1] = 0;
          }
		  else
		  {
				stopcock_wait_time[_sel] = 0;
		  }
		  if(mlevel_stopcock[_sel] >= MLVL_ON) {
			  wait_flash = 0;
              det_status_stopcock[_sel] = DET_SERCH;
              stopcock_wait_time[_sel] = det_blup; //10s
              stopcock_serch[_sel].flag = 0;
              stopcock_serch[_sel].count = 0;			 
              car_in_wait_time[_sel] = 0;

              if(sens_blz_stopcock[_sel] < _sig)
                  stopcock_dir[_sel] = DET_SERCH_ADD;
              else
                  stopcock_dir[_sel] = DET_SERCH_MINUS;
			  resen_stopcock[_sel] = _sig;
			  det_cnt_blup_stopcock[0] = det_blup;
			  det_cnt_blup_stopcock[1] = det_blup;
			  det_cnt_blup_stopcock[2] = det_blup;
			  
			  resen_sig_tmp[_sel] = 0;
			  send_serch_flag = 0;
			  
			  //20171214 add jhsong  ӵ üũ
			  car_in_speed_sig[_sel] = _sig;
			  if(first_idle_flag == 0)
			  {
					first_idle_flag = 1;
					//memset(car_in_speed_time, 0, sizeof(car_in_speed_time));
					memset(stopcock_top, 0, sizeof(stopcock_top));
			  }
			  //end
			  //20180117 add jhsong  ˰ ʱȭ 
			//  pattern_init();
			  //end
//			  pattern_analy();
          } 
		  //20171115 add jhsong
		  else if(mlevel_stopcock[_sel] == MLVL_MID)
		  {
				if(--det_cnt_blup_stopcock[_sel] < 1) 
				{                   // every 12 sec.
                  det_cnt_blup_stopcock[_sel] = det_blup/10;  //10ms
				  
				  if(sens_blz_stopcock[_sel] > _sig)
					sens_blz_stopcock[_sel]--;
				  else if(sens_blz_stopcock[_sel] < _sig)
					sens_blz_stopcock[_sel]++;
				}
				stopcock_wait_time[_sel] = 0;
				car_in_wait_time[_sel] = DET_STOP_TIME;
				//20180126 add jhsong  ˰ ʱȭ 
//				pattern_init();
//				pattern_analy();
				//
				if(_sel<2)
				{
					if(car_in_speed_time[0] == 0)
					{
						car_in_speed_time[0] = _sel+1;
						car_in_speed_time[1] = 0;
					}
					else
					  	car_in_speed_time[1]++;
				}
		  }
					 //end
		  else if((mlevel_stopcock[0] == MLVL_OFF) && (mlevel_stopcock[1] == MLVL_OFF) && (mlevel_stopcock[2] == MLVL_OFF))
		  {
              if(--det_cnt_blup_stopcock[_sel] < 1) {                   // every 12 sec.
					det_side_send_flag = 0; //ڼ  Խ ο ˷ֱ 
                  det_cnt_blup_stopcock[_sel] = det_blup;  //10ms
                  
				  //20180213 add jhsong ó  ذ  
				  //end
				  
				  //20171204 add jhsong
				  //sens_blz_stopcock[_sel] = _sig;				  
				  if(sens_blz_stopcock[_sel] > sig3_tmp[_sel][0])
						sens_blz_stopcock[_sel]--;
  			  	  else if(sens_blz_stopcock[_sel] < sig3_tmp[_sel][0])
					    sens_blz_stopcock[_sel]++;
				  //end
                  if(car_in_flag[0] || car_in_flag[1] || car_in_flag[2])  //  
                  {                        
						det_cnt_blup_stopcock[_sel] = det_blup;  //10ms
						
						//20180213 add jhsong  ذ ׳ ؼ i 
						
						sens_blz_b[_sel] = _sig+car_in_out_vector[_sel][SENS_CAR_IN_SEARCH];
						  //end
						
						tmp_bl_go(_sel);  // ذ µ 
												
						blz_stopcock[_sel] = blz_stopcock_tmp[_sel] + (car_in_blz_stopcock[_sel] - sig3_tmp[_sel][0]);
						blz_add_tmp[_sel] = sens3_blz[_sel]-blz_stopcock[_sel];
						

						car_in_check_time++;
						if(car_in_check_time>250)  // ON Time üũ 13s / 3
						  car_in_check_time = 250;
						
                		if(car_in_flag[_sel] == 1)  //ù°      
						  	car_in_blz_stopcock1[_sel] = car_in_blz_stopcock[_sel];
						else 
							blz_add_tmp1[_sel] = blz_stopcock_tmp[_sel] + car_in_blz_stopcock1[_sel] + (car_in_blz_stopcock[_sel] - sig3_tmp[_sel][0]);	
						
						//ڼ üũ 				  
					/*	dist = util_get_offset_1(blz_add_tmp[_sel], _sig);
						if(dist > config.det_longonStableWait)
							car_in__force_flag[_sel] = 1;
						if(car_in__force_flag[_sel])
						{
							if(dist < 100)  //ڼ  ȵǰ ׳   
							{
							  reset_det_bl();
							}
						}
						*/
						car_in_wait_time[_sel] = DET_STOP_TIME;  		
                  }
                  else  //  
				  {
					det_cnt_blup_stopcock[_sel] = det_blup;  //10ms 40 4.33   60s 

					//20171128 add jhsong 
					if(sig3_tmp[_sel][0] > sens3_blz[_sel])
					{
					  sens3_blz[_sel]++;
					  sens_blz_b[_sel]++;
				    }
					else if(sig3_tmp[_sel][0] < sens3_blz[_sel])
					{
					  sens3_blz[_sel]--;
					  sens_blz_b[_sel]--;
				    }
					
					//end
					blz_add_tmp[_sel] = sens3_blz[_sel];
					//sens_blz_b[_sel] = sens3_blz[_sel];
					//blz_stopcock[_sel] = sens3_blz[_sel] - sig3_tmp[_sel][0];//car_in_tmp[_sel][3];//_sig;  Ÿ  30   ߻						
					//blz_add_tmp[_sel] = sens3_blz[_sel]-blz_stopcock[_sel];
											
					car_in_check_time  = 0;
					car_in_wait_time[_sel] = DET_STOP_TIME;
					
					//20171024 add jhsong ﰢ ˰ ʱȭ
					algo_triangle_poz = 0;
					//end
					//20180202 add jhsong   TOP  0
					memset(stopcock_top, 0, sizeof(stopcock_top));
					//end
				  }		
				//	send_onoff_count = 0;
              } 			  			  
              car_in_tmp[_sel][3] = car_in_tmp[_sel][2];
			  car_in_tmp[_sel][2] = car_in_tmp[_sel][1];
			  car_in_tmp[_sel][1] = car_in_tmp[_sel][0];         
			  car_in_tmp[_sel][0] = _sig;		  
              stopcock_wait_time[_sel] = 0;
			  
			  //20171204 add jhsong    ϱ   
			  resen_sig_tmp[_sel] = car_in_tmp[_sel][3];
			  //end
			  
			  //20180117 add jhsong  ˰ ʱȭ
			  pattern_value[0][0] = diff_value_b[0]; //x
			  pattern_value[0][1] = diff_value_b[1]; //y
			  pattern_value[1][0] = pattern_value[0][0]+pattern_compare_value;
		      pattern_value[1][1] = pattern_value[0][1]+pattern_compare_value;
		      pattern_value[2][0] = pattern_value[0][0]-pattern_compare_value;
		      pattern_value[2][1] = pattern_value[0][1]-pattern_compare_value;
			  //end
			  
			  if(st_det_side_on.flag)  //   8  ȵǰ  ʱȭ 
			  {
		  			if(st_det_side_on.count++ > 800)
					  st_det_side_on.flag = 0;
			  }
			  car_in_speed_time[0] = 0;
			  car_in_speed_time[1] = 0;
          }
		  else
		  {
				stopcock_wait_time[_sel] = 0;
		  }
          break;

   
	}
}
/*
//20171024 add jhsong ﰢ ˰ 
uint8 sum_aver_result(void)
{
	unsigned  int tmp_sum, tmp_sum1;
  	int tmp_x, tmp_y, tmp_z;
	int tmp_x1, tmp_y1, tmp_z1;
	uint8 algo_triangle_state = 0;
	tmp_x = abs(algo_triangle[0][1][0]-algo_triangle[0][0][0]);
	tmp_y = abs(algo_triangle[0][1][1]-algo_triangle[0][0][1]);
	tmp_z = abs(algo_triangle[0][1][2]-algo_triangle[0][0][2]);
	tmp_sum = tmp_x+tmp_y+tmp_z;
	tmp_x1 = abs(algo_triangle[algo_triangle_poz][1][0]-algo_triangle[algo_triangle_poz][0][0]);
	tmp_y1 = abs(algo_triangle[algo_triangle_poz][1][1]-algo_triangle[algo_triangle_poz][0][1]);
	tmp_z1 = abs(algo_triangle[algo_triangle_poz][1][2]-algo_triangle[algo_triangle_poz][0][2]);
	tmp_sum1 = tmp_x1+tmp_y1+tmp_z1;
	if((((tmp_sum1/tmp_sum)>85) && (tmp_sum1/tmp_sum)<115))
	{
	   car_serch_init();
	    algo_triangle_state = TRIANGLE_DET_OFF;
	}
	else 
	  algo_triangle_state = TRIANGLE_DET_INIT;
	return algo_triangle_state;
}

void triangle_serch_result(void)
{
	algo_triangle[algo_triangle_poz][1][0] = x_result;
	algo_triangle[algo_triangle_poz][1][1] = y_result;
	algo_triangle[algo_triangle_poz][1][2] = z_result;	  
	
	triangle_div(algo_triangle_poz);
	triangle_analsys(0, algo_triangle_poz);
}

void triangle_div(uint8 _sel)
{
	int tmp_x, tmp_y, tmp_z;
	//20171026 jhsong add ﰢ 밢, sin , cos ,  
	tmp_x = abs(algo_triangle[_sel][1][0]-algo_triangle[_sel][0][0]);
	tmp_y = abs(algo_triangle[_sel][1][1]-algo_triangle[_sel][0][1]);
	tmp_z = abs(algo_triangle[_sel][1][2]-algo_triangle[_sel][0][2]);
	triangle_diagonal[_sel][0] = sqrt(pow((double)tmp_x, 2)+pow((double)tmp_y, 2));   //X,Y 밢 Ʈ sqrt((double) i) pow(, )
	triangle_diagonal[_sel][1] = sqrt(pow((double)tmp_x, 2)+pow((double)tmp_z, 2));   //X,Z 밢 Ʈ sqrt((double) i) pow(, )
	triangle_diagonal[_sel][2] = sqrt(pow((double)tmp_y, 2)+pow((double)tmp_z, 2));   //Y,Z 밢 Ʈ sqrt((double) i) pow(, )
	triangle_cos[_sel][0] = atan((float)tmp_x/tmp_y)*180/PI;  //X,Y ﰢ ڻ  
	triangle_cos[_sel][1] = atan((float)tmp_x/tmp_z)*180/PI;  //X,Z ﰢ ڻ 
	triangle_cos[_sel][2] = atan((float)tmp_y/tmp_z)*180/PI;  //X,Z ﰢ ڻ 
	triangle_sin[_sel][0] = 90-triangle_cos[_sel][0];  //X,Y ﰢ   
	triangle_sin[_sel][1] = 90-triangle_cos[_sel][1];  //X,Z ﰢ  
	triangle_sin[_sel][2] = 90-triangle_cos[_sel][2];  //X,Z ﰢ  
	triangle_area[_sel][0] = (tmp_x*tmp_y)/2;
	triangle_area[_sel][1] = (tmp_x*tmp_z)/2;
  	triangle_area[_sel][2] = (tmp_y*tmp_z)/2;
}

uint8 triangle_analsys(uint8 _sel, uint8 _sel1)
{
  	unsigned int tmp = 0, tmp1, tmp2;	
	
	int tmp_sin, tmp_cos, tmp1_sin, tmp1_cos, tmp2_sin, tmp2_cos;
	uint8 algo_triangle_state = 0;
	//X,Y,Z 
	tmp = ((float)triangle_diagonal[_sel][0]/triangle_diagonal[_sel1][0])*100;
	tmp1 = ((float)triangle_diagonal[_sel][1]/triangle_diagonal[_sel1][1])*100;						
	tmp2 = ((float)triangle_diagonal[_sel][2]/triangle_diagonal[_sel1][2])*100;						
	tmp_sin = ((float)triangle_cos[_sel][0]+triangle_sin[_sel1][0])/0.9;  //    90 
	tmp_cos = ((float)triangle_sin[_sel][0]+triangle_cos[_sel1][0])/0.9;  //    90 
	tmp1_sin = ((float)triangle_cos[_sel][1]+triangle_sin[_sel1][1])/0.9;  //    90 
	tmp1_cos = ((float)triangle_sin[_sel][1]+triangle_cos[_sel1][1])/0.9;  //    90 
	tmp2_sin = ((float)triangle_cos[_sel][2]+triangle_sin[_sel1][2])/0.9;  //    90 
	tmp2_cos = ((float)triangle_sin[_sel][2]+triangle_cos[_sel1][2])/0.9;  //    90 	
	if((tmp>80) && (tmp<120) && (tmp1>80) && (tmp1<120)&& (tmp2>80) && (tmp2<120))  //밢 ̰ 80~120%  
	{
		//UARTprintf("tt[%u 0] : %u,%u  %u,%u\r\n", algo_triangle_poz, tmp_sin, tmp_cos, tmp1_sin, tmp1_cos);
		if((tmp_sin>90) && (tmp_sin<110) && (tmp_cos>90) && (tmp_cos<110) && (tmp1_sin>90) && (tmp1_sin<110) && (tmp1_cos>90) && (tmp1_cos<110)&& (tmp2_sin>90) && (tmp2_sin<110) && (tmp2_cos>90) && (tmp2_cos<110))   // ¥ 
		{
		   car_serch_init();
		   algo_triangle_state = TRIANGLE_DET_OFF;
		}		   
		else  // ε ̶ Ǵ
			algo_triangle_state = TRIANGLE_DET_INIT;
	}
	else if((tmp>92) && (tmp<108))  //밢 ̰ 80~120%  
	{
		if((tmp_sin>95) && (tmp_sin<105) && (tmp_cos>95) && (tmp_cos<105))   // ¥ 
		{
		   car_serch_init();
		   algo_triangle_state = TRIANGLE_DET_OFF;
		}		   
		else  // ε ̶ Ǵ
			algo_triangle_state = TRIANGLE_DET_INIT;
	}
	else if((tmp1>92) && (tmp1<108))  //밢 ̰ 80~120%  
	{
		if((tmp1_sin>95) && (tmp1_sin<105) && (tmp1_cos>95) && (tmp1_cos<105))   // ¥ 
		{
		   car_serch_init();
		   algo_triangle_state = TRIANGLE_DET_OFF;
		}
		else  // ε ̶ Ǵ
			algo_triangle_state = TRIANGLE_DET_INIT;
	}	
	else if((tmp2>92) && (tmp2<108))  //밢 ̰ 80~120%  
	{
		if((tmp2_sin>95) && (tmp2_sin<105) && (tmp2_cos>95) && (tmp2_cos<105))   // ¥ 
		{
		   car_serch_init();
		   algo_triangle_state = TRIANGLE_DET_OFF;
		}
		else  // ε ̶ Ǵ
			algo_triangle_state = TRIANGLE_DET_INIT;
	}		
	return algo_triangle_state;
}

char algo_triangle_serch(unsigned char _sel, int _sig)
{    
  	unsigned int dist;
    unsigned int mlevel[3];
	uint8 algo_triangle_state = 0;
	
	if(algo_triangle[algo_triangle_poz][0][_sel] == 0)
	  algo_triangle[algo_triangle_poz][0][_sel] = _sig;
	dist = util_get_offset_1(algo_bl_triangle[_sel], _sig);
	if(dist > 60) {  
		mlevel[_sel] = MLVL_ON;
	} else if(dist < 35) { //jhsong ⺻ 30
		mlevel[_sel] = MLVL_OFF;
	} else {
		mlevel[_sel] = MLVL_MID;
	}
  
	switch(det_status_triangle[_sel])
    {
      case DET_IDLE: // ----------------------------
          if(mlevel[_sel] >= MLVL_ON) {
              det_status_triangle[_sel] = DET_SERCH;
              det_cnt_blup_triangle[_sel] = det_blup/10;  //10ms
			  algo_triangle_flag = 1;

          }
		  //20171115 add jhsong 
		  else if(mlevel[_sel] == MLVL_MID) 
		  {
				if(--det_cnt_blup_triangle[_sel] < 1) 
				{                   // every 12 sec.
                  	det_cnt_blup_triangle[_sel] = det_blup/10; 
					if(algo_bl_triangle[_sel]>_sig)
					  	algo_bl_triangle[_sel]--;
				    else if(algo_bl_triangle[_sel]<_sig)
					  	algo_bl_triangle[_sel]++;
				}
		  }
				   //end
		  else {
              if(--det_cnt_blup_triangle[_sel] < 1) {                   // every 12 sec.
                  det_cnt_blup_triangle[_sel] = det_blup*2;  //10msalgo_triangle[algo_triangle_poz][0][_sel] = _sig; 
				  algo_triangle_flag = 0;				 
				  
				  if(det_status_stopcock[_sel] == DET_IDLE)  //20171112 add jhsong 
				  {
					   algo_bl_triangle[_sel] = sig3_idle_tmp[_sel];
					   
						if(algo_triangle[algo_triangle_poz][0][_sel] > sig3_idle_tmp[_sel])
						algo_triangle[algo_triangle_poz][0][_sel]--;
					   else if(algo_triangle[algo_triangle_poz][0][_sel] < sig3_idle_tmp[_sel])
						algo_triangle[algo_triangle_poz][0][_sel]++;
				  }
			  }
			  	if(algoA_aver_count[_sel] >= MAX_SIG_AVER)
				{
					  algoA_aver_idle_count[_sel] = 0;		  
					  sig3_idle_tmp[_sel] = aver_total_idle_sum[_sel]/MAX_SIG_AVER;
					  aver_total_idle_sum[_sel] = 0;		  
				}
			  if(algoA_aver_count1[_sel] == SIG3_AD_SPEED) //150ms   Ǳ ۹ 
 			  {
					aver_total_idle_sum[_sel] += _sig;
					algoA_aver_idle_count[_sel]++;
			  }
          }
          break;
		case DET_SERCH: // ----------------------------
          if(mlevel[_sel] < MLVL_OFF) {
				if(--det_cnt_blup_triangle[_sel] < 1) {                   // every 12 sec.
                  det_cnt_blup_triangle[_sel] = det_blup/10;  //10ms
                  det_status_triangle[_sel] = DET_IDLE;
				  
				  algoA_aver_idle_count[_sel] = 0;
			  }     
          } else {
				memset(algoA_aver_idle_count, 0, sizeof(algoA_aver_idle_count));
				sig3_idle_tmp[0] = x_result;
				sig3_idle_tmp[1] = y_result;
				sig3_idle_tmp[2] = z_result;
              	if(det_status_stopcock[_sel] == DET_IDLE)
				{
				  det_status_triangle[_sel] = DET_IDLE;
				  algo_bl_triangle[0] = x_result;
				  algo_bl_triangle[1] = y_result;
				  algo_bl_triangle[2] = z_result;	
				}
				
				if(algo_triangle_flag == 2)
				{
				 	 det_cnt_blup_triangle[_sel] = det_blup/10;  //10ms
					 algo_triangle[algo_triangle_poz][1][0] = x_result;
					 algo_triangle[algo_triangle_poz][1][1] = y_result;
					 algo_triangle[algo_triangle_poz][1][2] = z_result;	
				  	 triangle_div(algo_triangle_poz);
			//		 UARTprintf("tri[%u 0] : %u,%u  %u %u %u %u\r\n", algo_triangle_poz, tmp_x, tmp_y, triangle_diagonal[algo_triangle_poz][0], triangle_cos[algo_triangle_poz][0], triangle_sin[algo_triangle_poz][0], triangle_area[algo_triangle_poz][0]);	 
			//		 UARTprintf("tri[%u 1] : %u,%u  %u %u %u %u\r\n", algo_triangle_poz, tmp_x, tmp_z, triangle_diagonal[algo_triangle_poz][1], triangle_cos[algo_triangle_poz][1], triangle_sin[algo_triangle_poz][1], triangle_area[algo_triangle_poz][1]);	 
					 //end					 
					 
					if(algo_triangle_poz==1) // Դٴ ̾߱  ε  ߸ 󰬴ٰ Ǵ
					{
						algo_triangle_state = triangle_analsys(0, 1);
					}
					else if(algo_triangle_poz==2)
					{
						algo_triangle_state = triangle_analsys(0, 2);						
						if(algo_triangle_state == TRIANGLE_DET_INIT)
							algo_triangle_state = triangle_analsys(1, 2);	
					}
					else if(algo_triangle_poz==3)
					{
						algo_triangle_state = triangle_analsys(0, 3);						
						if(algo_triangle_state == TRIANGLE_DET_INIT)
							algo_triangle_state = triangle_analsys(1, 3);
						if(algo_triangle_state == TRIANGLE_DET_INIT)
							algo_triangle_state = triangle_analsys(2, 3);
					}
					
					//ü  
					if(algo_triangle_state == TRIANGLE_DET_INIT)
						algo_triangle_state = sum_aver_result();
					
					det_status_triangle[0] = DET_IDLE;
					det_status_triangle[1] = DET_IDLE;
					det_status_triangle[2] = DET_IDLE;
					algo_triangle_poz++;
					if(algo_triangle_poz > 3)
						algo_triangle_poz = 3;
					algo_triangle[algo_triangle_poz][0][0] = x_result;
					algo_triangle[algo_triangle_poz][0][1] = y_result;
					algo_triangle[algo_triangle_poz][0][2] = z_result;	
					algo_triangle[algo_triangle_poz][1][0] = 0;
					algo_triangle[algo_triangle_poz][1][1] = 0;
					algo_triangle[algo_triangle_poz][1][2] = 0;	
					algo_bl_triangle[0] = x_result;
					algo_bl_triangle[1] = y_result;
					algo_bl_triangle[2] = z_result;	
					if(algo_triangle_poz>=MAX_SIG)
					{
						algo_triangle_poz = 0;
						memset(algo_triangle, 0, sizeof(algo_triangle));
						algo_triangle[algo_triangle_poz][0][0] = x_result;
						algo_triangle[algo_triangle_poz][0][1] = y_result;
						algo_triangle[algo_triangle_poz][0][2] = z_result;	
					}
					algo_triangle_flag = 0;
				}				
          }
          break;		  
  }
  return algo_triangle_state;
}

void triangle_init(void)
{
  	memset(algo_triangle, 0, sizeof(algo_triangle));
  	memset(triangle_diagonal, 0, sizeof(triangle_diagonal));
	memset(triangle_cos, 0, sizeof(triangle_cos));
	memset(triangle_sin, 0, sizeof(triangle_sin));
	memset(triangle_area, 0, sizeof(triangle_area));
	algo_triangle_poz = 0;
	algo_triangle_flag = 0;
	algo_triangle[algo_triangle_poz][0][0] = x_result;
	algo_triangle[algo_triangle_poz][0][1] = y_result;
	algo_triangle[algo_triangle_poz][0][2] = z_result;	
	algo_bl_triangle[0] = x_result;
	algo_bl_triangle[1] = y_result;
	algo_bl_triangle[2] = z_result;	
}

//jhsong end
*/
//20180117  ˰ 
void pattern_init(void)
{
	if(pattern_start == 0)
	{
		pattern_start = 1;
		pattern_analy();
		pattern_poz[0].flag = 0;
		pattern_poz[0].count = 0;
		pattern_poz[1].flag = 0;
		pattern_poz[1].count = 0;
		pattern_force_serch = 0;
		memset(pattern_force_serch_count, 0, sizeof(pattern_force_serch_count));
		memset(pattern_diagonal, 0, sizeof(pattern_diagonal));
		pattern_sort  = CAR_NOMAL;		
		//pattern_sub_flag = GO_RIGHT;

		pattern_value[0][0] = diff_value_b[0];
		pattern_value[1][0] = diff_value_b[0];
		pattern_value[2][0] = diff_value_b[0];
		pattern_analy();
		pattern_diagonal[1] = pattern_diagonal[0];
		pattern_diagonal[2] = pattern_diagonal[0];
	}  
}

void nomal_init(char _sel)
{
	pattern_force_serch = 0;
	memset(pattern_force_serch_count, 0, sizeof(pattern_force_serch_count));
   pattern_sort  = CAR_NOMAL;
   if(_sel == 0)
   {
	 pattern_start = 0;
	 pattern_force_serch = 0;
   }
}

void  renew_pattern_diagonal(void)
{
//     for(i=9;i>0;i--)
     {
//          pattern_diagonal[i] = pattern_diagonal[i-1];
     }
 //    pattern_diagonal[0] = sqrt(pow((float)diff_value_b[0],2)+pow(diff_value_b[1],2));
 /*    if(pattern_diagonal[1] != 0)
     {
       if((pattern_diagonal[0]<(pattern_diagonal[1]-40)) && (pattern_diagonal[0]>(pattern_diagonal[1]+40)))
	   {
            nomal_init(0);
			UARTprintf("in1\r\n");
	   }
     }
	 */
     pattern_diagonal[1] = pattern_diagonal[0];
	 pattern_serch();
}

void pattern_analy(void)
{
     int tmpx_result = 0;
     int tmpy_result = 0;
     unsigned char tmp = 0;
     tmpx_result = diff_value_b[0] - pattern_value[0][0];
     tmpy_result = diff_value_b[1] - pattern_value[0][1];

	 
     //4纯  ġ
     if((diff_value_b[0]>0) && (diff_value_b[1]<0)) // 
     {
          pattern_4sub_flag = GO_RIGHT_DOWN;
     }
     else if((diff_value_b[0]>0) && (diff_value_b[1]>0)) //
     {
          pattern_4sub_flag = GO_RIGHT_UP;
     }
     else if((diff_value_b[0]<0) && (diff_value_b[1]>0)) //»
     {
          pattern_4sub_flag = GO_LEFT_UP;
     }
     else if((diff_value_b[0]<0) && (diff_value_b[1]<0)) //ϸ
     {
          pattern_4sub_flag = GO_LEFT_DOWN;
     } 

     //¿ 
     if((tmpx_result > 10) && (tmpx_result < 150) && (diff_value_b[0]<550)) // x ȭ ֳ
     {
          if((pattern_value[1][1] < diff_value_b[1]) && (pattern_value[2][1] > diff_value_b[1])
               && (pattern_value[1][0] < diff_value_b[0]) && (pattern_value[2][0] > diff_value_b[0])
               ) //y   -30 ~ +30 ̿ ִ Ǵ
		   {
				nomal_init(0);
		   }

          pattern_sub_flag &= ~(GO_RIGHT|GO_LEFT);
          pattern_sub_flag |= GO_RIGHT;
          pattern_poz[0].count = 0;
          tmp = 0x01;
     }
     else if((tmpx_result < -10) && (tmpx_result > -150) && (diff_value_b[0]>-550))  // x ȭ ֳ
     {
          if((pattern_value[1][1] < diff_value_b[1]) && (pattern_value[2][1] > diff_value_b[1])
               && (pattern_value[1][0] < diff_value_b[0]) && (pattern_value[2][0] > diff_value_b[0])
               ) //y   -30 ~ +30 ̿ ִ Ǵ
		   {
				nomal_init(0);
		   }
          pattern_sub_flag &= ~(GO_RIGHT|GO_LEFT);
          pattern_sub_flag |= GO_LEFT;
          pattern_poz[0].count = 0;
          tmp = 0x01;
     }
     else if((tmpx_result <= 10) && (tmpx_result >= -10))
          ;//tmp = 0x01;
     else
     {
         if((pattern_poz[0].count++) > 20)
         {
              pattern_sub_flag &= ~(GO_RIGHT|GO_LEFT);
              pattern_poz[0].count = 0;
              nomal_init(0);
              tmp = 0x01;
         }
     }
     if(tmp & 0x01)
     {
       pattern_value[0][0] = diff_value_b[0]; //x
       pattern_value[1][0] = diff_value_b[0]+pattern_compare_value;
       pattern_value[2][0] = diff_value_b[0]-pattern_compare_value;
     }

     // 
      if((tmpy_result > 10) && (tmpy_result < 150) && (diff_value_b[1]<400))  // y ȭ ֳ
     {
        if((pattern_value[1][1] < diff_value_b[1]) && (pattern_value[2][1] > diff_value_b[1])
             && (pattern_value[1][0] < diff_value_b[0]) && (pattern_value[2][0] > diff_value_b[0])
             ) //y   -30 ~ +30 ̿ ִ Ǵ
		   {
				nomal_init(0);
		   }
        pattern_sub_flag &= ~(GO_UP|GO_DOWN);
        pattern_sub_flag |= GO_UP;
        pattern_poz[1].count = 0;
        tmp = 0x02;
     }
     else if((tmpy_result < -10) && (tmpy_result > -150) && (diff_value_b[1]>-400))  // y ȭ ֳ
     {
        if((pattern_value[1][1] < diff_value_b[1]) && (pattern_value[2][1] > diff_value_b[1])
             && (pattern_value[1][0] < diff_value_b[0]) && (pattern_value[2][0] > diff_value_b[0])
             ) //y   -30 ~ +30 ̿ ִ Ǵ
		   {
				nomal_init(0);
		   }
        pattern_sub_flag &= ~(GO_UP|GO_DOWN);
        pattern_sub_flag |= GO_DOWN;
        pattern_poz[1].count = 0;
        tmp = 0x02;
     }
     else if((tmpy_result <= 10) && (tmpy_result >= -10))
          ;
     else
     {
         if((pattern_poz[1].count++) > 50)
         {
              pattern_sub_flag &= ~(GO_UP|GO_DOWN);
              pattern_poz[1].count = 0;
              nomal_init(0);
              tmp = 0x02;
         }
     }
     if(tmp & 0x02)
     {
       pattern_value[0][1] = diff_value_b[1]; //y
       pattern_value[1][1] = diff_value_b[1]+pattern_compare_value;
       pattern_value[2][1] = diff_value_b[1]-pattern_compare_value;

     }
	 
      if((diff_value_b[0]>-50)&&(diff_value_b[0]<50)&&(diff_value_b[1]>-50)&&(diff_value_b[1]<50))
      {
           pattern_start = 1;
           memset(pattern_force_serch_count, 0, sizeof(pattern_force_serch_count));
           pattern_force_serch = 0;
      }
	 
     if(tmp && pattern_start)
          renew_pattern_diagonal();
}

// 1  ->->->   ->->   -> »
// 2 ->->->   ->»->   -> 
// 3 »->->->   ->->   -> 
// 4 ->->»->   ->->   -> 
//                  1ܰ                 2ܰ             3ܰ
#define PATTERN_WAIT_T 2
void pattern_serch(void)
{
      unsigned char pattern_tmp_flag1 = pattern_force_serch & 0x03;
     unsigned char pattern_tmp_flag2 = (pattern_force_serch>>2) & 0x03;
     unsigned char pattern_tmp_flag3 = (pattern_force_serch>>4) & 0x03;
     unsigned char pattern_tmp_flag4 = (pattern_force_serch>>6) & 0x03;

     if(pattern_start == 1)
     {
           if((diff_value_b[1]<-150)||(diff_value_b[1]>150))
                pattern_start = 2;
      }
       // 1
     if(pattern_tmp_flag1 == 0) //ʱ  
     {
          pattern_sort  &= ~0x01;
          if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
          {
             if(pattern_force_serch_count[0]++>(PATTERN_WAIT_T+2))
             {
               if((pattern_start == 1) && ((pattern_4sub_flag  & 0xF0) == GO_RIGHT_DOWN))
               //if(pattern_start == 1)
                    pattern_tmp_flag1 = 1;
               pattern_force_serch_count[0] = 0;
             }
          }
          else
          {
               pattern_force_serch_count[0] = 0;
          }
     }
     else if(pattern_tmp_flag1 == 1)  // 
     {
          if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
               ;
          else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
          {
             if(pattern_force_serch_count[0]++>PATTERN_WAIT_T)
             {
               if((pattern_4sub_flag  & 0xF0) == GO_RIGHT_DOWN)    //4и϶ GO
                    pattern_tmp_flag1 = 2;
               pattern_force_serch_count[0] = 0;
   //            pattern_sort  |= 0x01;
             }
          }
		  else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
			  ;
          else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
          {
               pattern_tmp_flag1 = 0;
               pattern_force_serch_count[0] = 0;
			   if((diff_value_b[1]>-100)||(diff_value_b[1]<100))
				 	pattern_start = 1;
		  }
          else
          {
                  pattern_tmp_flag1 = 0;
                  pattern_force_serch_count[0] = 0;
                  pattern_sort  &= ~0x01;
          }
     }
     else if(pattern_tmp_flag1 == 2)  //» 
     {         
		if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
		{
			pattern_force_serch_count[0]++ ;
		  	if((pattern_4sub_flag  & 0xF0) == GO_RIGHT_DOWN)   //2и
			  {
					 if(pattern_force_serch_count[0]>(PATTERN_WAIT_T+2))
						   pattern_sort  |= 0x01;
			  }
		}
		else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
		{
		   if(pattern_force_serch_count[0]++>PATTERN_WAIT_T)
		   {
			 if(((pattern_4sub_flag  & 0xF0) == GO_LEFT_DOWN) || ((pattern_4sub_flag  & 0xF0) == GO_RIGHT_DOWN))    //4и϶ GO
			 {
				 pattern_tmp_flag1 = 3;
				 pattern_sort  |= 0x01;
			 }
			 pattern_force_serch_count[0] = 0;
		   }
		}
		else
		{
              if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
				  ;
			  else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
                   pattern_tmp_flag1 = 1;
			  else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
                   pattern_tmp_flag1 = 1;
              else
                pattern_tmp_flag1 = 0;
              pattern_force_serch_count[0] = 0;
              pattern_sort  &= ~0x01;
		}
	  }
     else if(pattern_tmp_flag1 == 3)  // 
     {
          if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
               ;
          else
          {
              if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
				;
			  else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
			  {
                   if(pattern_force_serch_count[0]++>PATTERN_WAIT_T)					 
				   {
						pattern_tmp_flag1 = 2;
						pattern_force_serch_count[0] = 0;
              			pattern_sort  &= ~0x01;
				   }
			  }
              else
			  {
                if(pattern_force_serch_count[0]++>PATTERN_WAIT_T)					 
				   {
						pattern_tmp_flag1 = 0;
						pattern_force_serch_count[0] = 0;
              			pattern_sort  &= ~0x01;
				   }
			  }
          }
     }
     // 2
     if(pattern_tmp_flag2 == 0) //ʱ  
     {
          pattern_sort  &= ~0x02;
          if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
          {
             if(pattern_force_serch_count[1]++>(PATTERN_WAIT_T+2))
             {
               if((pattern_start == 1) && ((pattern_4sub_flag  & 0xF0) == GO_RIGHT_UP))
               //if(pattern_start == 1)
                    pattern_tmp_flag2 = 1;
               pattern_force_serch_count[1] = 0;
             }
          }
          else
               pattern_force_serch_count[1] = 0;
     }
     else if(pattern_tmp_flag2 == 1)  // 
     {
          if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
               ;//pattern_force_serch_count[1]++;
          else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
               ;
          else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
          {
               pattern_tmp_flag2 = 0;
               pattern_force_serch_count[1] = 0;
			   if((diff_value_b[1]>-100)||(diff_value_b[1]<100))
				 	pattern_start = 1;
          }
          else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
          {
             if(pattern_force_serch_count[1]++>PATTERN_WAIT_T)
             {
               if((pattern_4sub_flag  & 0xF0) == GO_RIGHT_UP)    //1и϶ GO
                    pattern_tmp_flag2 = 2;
               pattern_force_serch_count[1] = 0;
     //          pattern_sort  |= 0x02;
             }
          }
          else
          {
              if(pattern_force_serch_count[1]++>2)
             {
		      pattern_tmp_flag2 = 0;
	              pattern_force_serch_count[1] = 0;
	              pattern_sort  &= ~0x02;
	     }
          }
     }
     else if(pattern_tmp_flag2 == 2)  //» 
     {
         if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
         {
                 if(pattern_force_serch_count[1]++>(PATTERN_WAIT_T+2))
       			  pattern_sort  |= 0x02;
         }
         else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
         {
             if(pattern_force_serch_count[1]++>PATTERN_WAIT_T)
             {
                 if(((pattern_4sub_flag  & 0xF0) == GO_LEFT_UP) || ((pattern_4sub_flag  & 0xF0) == GO_RIGHT_UP))   //2и
                 {
                      pattern_tmp_flag2 = 3;
                      pattern_sort  |= 0x02;
                 }
                 pattern_force_serch_count[1] = 0;
             }
         }
         else
         {
            if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
			  	;
			else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
                 pattern_tmp_flag2 = 1;
            else
              	 pattern_tmp_flag2 = 0;
			pattern_force_serch_count[1] = 0;
			pattern_sort  &= ~0x02;
         }
     }
     else if(pattern_tmp_flag2 == 3)  // 
     {
          if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
               ;
          else
          {
              if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
				;
			  else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
			  {
                   if(pattern_force_serch_count[1]++>PATTERN_WAIT_T)
				   {
						pattern_tmp_flag2 = 2;
						pattern_force_serch_count[1] = 0;
						pattern_sort  &= ~0x02;
				   }
			  } 
              else
			  {
                if(pattern_force_serch_count[1]++>PATTERN_WAIT_T)
				   {
						pattern_tmp_flag2 = 0;
						pattern_force_serch_count[1] = 0;
						pattern_sort  &= ~0x02;
				   }
			  }  
          }
     }
     // 3
     if(pattern_tmp_flag3 == 0) //ʱ  
     {
          pattern_sort  &= ~0x04;
          if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))
          {
             if(pattern_force_serch_count[2]++>(PATTERN_WAIT_T+3))
             {
               if((pattern_start == 1) && ((pattern_4sub_flag  & 0xF0) == GO_LEFT_DOWN))
               //if(pattern_start == 1)
                    pattern_tmp_flag3 = 1;
               pattern_force_serch_count[2] = 0;
             }
          }
          else
               pattern_force_serch_count[2] = 0;
     }
     else if(pattern_tmp_flag3 == 1)  //
     {
          if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
               ;//pattern_force_serch_count[2]++;
          else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
          {
             if(pattern_force_serch_count[2]++>PATTERN_WAIT_T)
             {
               if((pattern_4sub_flag  & 0xF0) == GO_LEFT_DOWN)    //4и϶ GO
                    pattern_tmp_flag3 = 2;
               pattern_force_serch_count[2] = 0;
      //         pattern_sort  |= 0x04;
             }
          }
		  else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
			  ;
          else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
          {
               pattern_tmp_flag3 = 0;
               pattern_force_serch_count[2] = 0;
			   if((diff_value_b[1]>-100)||(diff_value_b[1]<100))
				 	pattern_start = 1;
		  }
          else
          {
                  pattern_tmp_flag3 = 0;
                  pattern_force_serch_count[2] = 0;
                  pattern_sort  &= ~0x04;
          }
     }
     else if(pattern_tmp_flag3 == 2)  //» 
     {
            if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
            {
              pattern_force_serch_count[2]++;
			  if((pattern_4sub_flag  & 0xF0) == GO_LEFT_DOWN) 
			  {
				  if(pattern_force_serch_count[2]>(PATTERN_WAIT_T+2))
						   pattern_sort  |= 0x04;
			  }
            }
            else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
            {
               if(pattern_force_serch_count[2]++>PATTERN_WAIT_T)
               {
                    if(((pattern_4sub_flag  & 0xF0) == GO_RIGHT_DOWN) ||((pattern_4sub_flag  & 0xF0) == GO_LEFT_DOWN))
                    {
                         pattern_tmp_flag3 = 3;
                         pattern_sort  |= 0x04;
                    }
                    pattern_force_serch_count[2] = 0;
               }
            }
            else
            {
				if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
				  	;
				else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
		  			pattern_tmp_flag3 = 1;
			  else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
                   pattern_tmp_flag3 = 1;
				else
				  pattern_tmp_flag3 = 0; 
                    pattern_sort  &= ~0x04;
				pattern_force_serch_count[2] = 0;
            }
     }
     else if(pattern_tmp_flag3 == 3)  // 
     {
          if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
               ;
          else
          {
				if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
				  ;
				else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
				{
					   if(pattern_force_serch_count[2]++>PATTERN_WAIT_T)					 
					   {
							pattern_tmp_flag3 = 2;
							pattern_force_serch_count[2] = 0;
							pattern_sort  &= ~0x04;
					   }
				}
				else
			    {
					if(pattern_force_serch_count[2]++>PATTERN_WAIT_T)					 
					{
						  pattern_tmp_flag3 = 0; 
						  pattern_force_serch_count[2] = 0;
						  pattern_sort  &= ~0x04;
					}
			  }
          }
     }

     // 4
     if(pattern_tmp_flag4 == 0) //ʱ  
     {
          pattern_sort  &= ~0x08;
          if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
          {
             if(pattern_force_serch_count[3]++>(PATTERN_WAIT_T+3))
             {
               if((pattern_start == 1) && ((pattern_4sub_flag  & 0xF0) == GO_LEFT_UP))
               //if(pattern_start == 1)
                    pattern_tmp_flag4 = 1;
               pattern_force_serch_count[3] = 0;
             }
          }
          else
               pattern_force_serch_count[3] = 0;
     }
     else if(pattern_tmp_flag4 == 1)  // 
     {
          if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
               ;//pattern_force_serch_count[3]++;
          else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
               ;
          else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
          {
               pattern_tmp_flag4 = 0;
               pattern_force_serch_count[3] = 0;
			   if((diff_value_b[1]>-100)||(diff_value_b[1]<100))
				 	pattern_start = 1;
          }
          else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
          {
             if(pattern_force_serch_count[3]++>PATTERN_WAIT_T)
             {
               if((pattern_4sub_flag  & 0xF0) == GO_LEFT_UP)    //4и϶ GO
                    pattern_tmp_flag4 = 2;
               pattern_force_serch_count[3] = 0;
      //         pattern_sort  |= 0x08;
             }
          }
          else
          {
             if(pattern_force_serch_count[3]++>2)
             {
                  pattern_tmp_flag4 = 0;
                  pattern_force_serch_count[3] = 0;
                  pattern_sort  &= ~0x08;
             }
          }
     }
     else if(pattern_tmp_flag4 == 2)  //» 
     {
		  if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_UP))  //1 ã
		  {
					if(pattern_force_serch_count[3]++>(PATTERN_WAIT_T+2))
						  pattern_sort  |= 0x08;
		  }
		  else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
		  {
			 if(pattern_force_serch_count[3]++>PATTERN_WAIT_T)
			 {
				 if(((pattern_4sub_flag  & 0xF0) == GO_LEFT_UP) || ((pattern_4sub_flag  & 0xF0) == GO_RIGHT_UP))   //4и϶ GO
				 {
					pattern_tmp_flag4 = 3;
					pattern_sort  |= 0x08;
				 }
                     pattern_force_serch_count[3] = 0;
                }
		  }
		  else
		  {
            if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
			  	;
			else if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
		  			pattern_tmp_flag4 = 1;
				else
				  pattern_tmp_flag4 = 0; 
				pattern_force_serch_count[3] = 0;

		  }
     }
     else if(pattern_tmp_flag4 == 3)  // 
     {
          if((pattern_sub_flag & 0x0F) == (GO_RIGHT|GO_DOWN))  //1 ã
               ;
          else
          {
              if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_UP))  //1 ã
				;
			  else if((pattern_sub_flag & 0x0F) == (GO_LEFT|GO_DOWN))  //1 ã
			  {
                   if(pattern_force_serch_count[3]++>PATTERN_WAIT_T)
				   {
						pattern_tmp_flag4 = 2;
						pattern_force_serch_count[3] = 0;
						pattern_sort  &= ~0x08;
				   }
			  } 
              else
			  {
                if(pattern_force_serch_count[3]++>PATTERN_WAIT_T)
				   {
						pattern_tmp_flag4 = 0;
						pattern_force_serch_count[3] = 0;
						pattern_sort  &= ~0x08;
				   }
			  }  

          }
     }
     if(pattern_tmp_flag4>=2)
     {
          pattern_tmp_flag1 = 0;
          pattern_tmp_flag2 = 0;
          pattern_tmp_flag3 = 0;
     }
     else if(pattern_tmp_flag3>=2)
     {
          pattern_tmp_flag1 = 0;
          pattern_tmp_flag2 = 0;
          pattern_tmp_flag4 = 0;
     }
     else if(pattern_tmp_flag2>=2)
     {
          pattern_tmp_flag1 = 0;
          pattern_tmp_flag4 = 0;
          pattern_tmp_flag3 = 0;
     }
     else if(pattern_tmp_flag1>=2)
     {
          pattern_tmp_flag4 = 0;
          pattern_tmp_flag2 = 0;
          pattern_tmp_flag3 = 0;
     }
     pattern_force_serch = ((pattern_tmp_flag4<<6)&0xC0) | ((pattern_tmp_flag3<<4)&0x30) | ((pattern_tmp_flag2<<2)&0x0c) | (pattern_tmp_flag1&0x03);
}

